---
title: 'Saturday: Celebrating my first week'
date: 2024-08-03T22:21:19+02:00
Tags: []
Categories: []
draft: false
---

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/method.png" alt="Credit: METHOD // DRUM & BASS MIXES, YouTube" >}}

Before I went to bed yesterday, which according to the picture I took at 01:26am, I decided to
perform an experiment. I took a Dougie-inspired whole wheat dough, which had gone through its first
rise, and I flattened it and put it in a cake tray, kind of expecting it to maybe, maybe not,
survive until 8:35am and then bake into a nice loaf of bread.  Then, I woke up at 08:45 or so to the
smell of a gorgeous fresly baking bread. I cannot overstate how much I like the smell of fresh
bread. I excitedly pranced downstairs to peek into the oven, just to see that there were some
Terryfolds or Foldyflaps on the sides of the baking tray, as Dougie had been so excited, that it
overgrew the tray, bubbled onto the oven dish, and then proceeded to bake into .. a loaf of sorts?
Good news: the taste was pretty great. Bad news: don't use baking trays as it doesn't allow for the
moisture to escape. So the inside was a bit mushy -- not to worry, I'll just cut off the
Flappyfolds, and eat them! And what remained, in a parallel universe could pass as a loaf of bread,
which I briefly tossed back into the oven for a second bake. It turned out fine, but I would
consider the experiment a resounding failure.

The mailman came, with another package, for me. Jessica (the Mac Studio) has a 10G network port, but
I've never (not once, in my life!) used a 10G RJ45 connection. For me, as can be clearly seen in my
post from yesterday, everything is either singlemode fiber, or DAC cables. When I ordered the Mac, I
also ordered a 10G switch which has 4x 2.5G, 1x 10G SFP+ (to connect to AS8298's core switch in my
basement), and 1x 10G RJ45, which will now happily be used by Jessica.


# Afternoon

After our Flappyfold bread (which I ate with some salami, some smoked salmon and some sliced
turkey), I go downstairs to install the switch. And it pays dividends -- the other day I showed an
`iperf3` from Amsterdam to my place in Br&uuml;ttisellen, and that now got upgraded to line rate:

```
jessica:Pictures pim$ iperf3 -c hvn0.nlams3.net.ipng.ch -P 10
Connecting to host hvn0.nlams3.net.ipng.ch, port 5201
[  7] local 2001:678:d78:50b::32 port 49522 connected to 2001:678:d78:506::2 port 5201
[  9] local 2001:678:d78:50b::32 port 49523 connected to 2001:678:d78:506::2 port 5201
[ 11] local 2001:678:d78:50b::32 port 49524 connected to 2001:678:d78:506::2 port 5201
[ 13] local 2001:678:d78:50b::32 port 49525 connected to 2001:678:d78:506::2 port 5201
[ 15] local 2001:678:d78:50b::32 port 49526 connected to 2001:678:d78:506::2 port 5201
[ 17] local 2001:678:d78:50b::32 port 49527 connected to 2001:678:d78:506::2 port 5201
[ 19] local 2001:678:d78:50b::32 port 49528 connected to 2001:678:d78:506::2 port 5201
[ 21] local 2001:678:d78:50b::32 port 49529 connected to 2001:678:d78:506::2 port 5201
[ 23] local 2001:678:d78:50b::32 port 49530 connected to 2001:678:d78:506::2 port 5201
[ 25] local 2001:678:d78:50b::32 port 49531 connected to 2001:678:d78:506::2 port 5201
...

[ ID] Interval           Transfer     Bitrate
[SUM]   0.00-10.00  sec  10.7 GBytes  9.21 Gbits/sec                  sender
[SUM]   0.00-10.03  sec  10.7 GBytes  9.18 Gbits/sec                  receiver
```

Slick! What stops you from coding like this?

I spend the afternoon playing with a Gowin server
[[ref](https://www.gowinfanless.com/products/network-device/1u-2u-server/gw-bs-1ur2-25g)], some 19"
rack mountable energy efficient Intel i3-N305 (Alder Lake) machine which has 2x25G network cards on
board. I will write more about them on the [[IPng.ch](https://ipng.ch/s/articles/)] blog later. It's
a pretty cool machine, which packs a punch when used as s low power VPP router.

While the loadtets run, I twiddle my thumbs a little bit. I somehow think of my parents and the
video call we had the other day -- they said my audio was a bit soft, which is surprising because I
have fancy R&oslash;de studio mic. It turns out, Jessica has the gain turned all the way down, and
when I turn it up, yes my voice becomes very audible, but there's also a lot of background noise. So
off I go, to get a microphone boom, like all the YouTubers (and half of my cow-okers) have. I get
one from R&oslash;de as well, and while I'm browsing I also decide to splurge and buy a Silhouette
Cameo v5. I'm such a consumer.

{{< image frame="false" width="5em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}

Actually, the loadtest consumes most of the day. And I didn't even clean anything up today. I'm very
proud of myself. As a small (with which I mean a 15 minute tiny) sidequest, I also write a little
python script that scans the T-Rex loadtest JSON output files and prints a markdown table based on
what it finds. That's going to save me from a few dozen typos in the future, so 👍 to me.

# Evening

I have booked us a last-day-of-vacation dinner reservation at a local italian place called _Il Faro_
in D&uuml;bendorf. They have a pizzaria and a more upscale dining room downstairs called _Il Grotto_
(the Cavern). Quinn, Marina and I first fill up on a _Mattei Gran Reserva_ at home, then make our
way to the restaurant where we're treated to a four course meal:

* **Amuse Bouche**: Pan con Tomate
* **Primi**: Seedevil carpaccio with Avocato and Chicorino with mustard
* **Secondi**: Cappellacci Caprese with Buffel Mozzarella and sun-dried tomato
* **Mains**: Grilled Beef filet on a bed of Spinnach with pistaccio, Chianti-reduction and Taleggio cheese on young potatoes
* **Dolce**: Crema Catalana and Panna Cotta with Mango and berries

During this mean I get tortured to no end about my Flappyfold-bread. Tomorrow we're going to eat
hamburgers and Marina has commissioned me to bake buns for them - of course there is much punning
and jabbing and teasing about how I'm going to fuck up the buns tomorrow. I'll show them (and you),
though!

After dinner we decided _not_ to watch the last episode of the Stranger Things Season4, mostly
because it's a 2h22m affair, and Quinn and Marina and I all aren't going to make it that long.
Instead, Marina and I watch the last two (shorter!) episodes of _Liebes Kind_, where we see how the
whole story falls into place. I think _Forbes_ was wrong -- it's a good story and well captured.

At 22:45 I go down to my lair and write the blogpost.  I spend a little bit of time organizing a
group-buy for a bunch of Celestica DX010 switches on the STH forum. There's a guy who is buying
these 32x100G ONIE switches that run SONiC for EUR 210,- a piece (!!). Sandro and I decided each to
buy three, and now the matter is how to ship them economically from Darmstadt (Germany) to
Switzerland. We work things out, including a way to not have to pay German VAT (at 19%) but instead
settle for the Swiss VAT (8.1%) - Yaay us.

Tomorrow I'll finish the IPng.ch article about the Gowin 1U machine, and make the best hamburger
buns my family has ever seen. Today marks the first week of my _sabbatical_. I'm ready to enjoy a
few more weeks of this!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-03/IMG_0487.JPG" caption="Before I went to bed I put in a Dougie-inspired full grain bread loaf, as an experiment. Would it go wild before turning on at 08:35?" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0488.JPG" caption="The answer to the previous picture: yes, it went ape-shit. It bubbled over and grew unboundedly, then fell in on itself while baking. Result: a bunch of flappyfolds." >}}
  {{< gallery-photo fn="2024-08-03/IMG_0489.JPG" caption="Marina and I ate the flappyfolds, which are not bad, and they are shaped like a heart, so what more can we want?" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0490.JPG" caption="After cutting off the flappyfolds, the loaf of break looks kind of sort of like a loaf, right?" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0491.JPG" caption="I am performing a VPP loadtest on a GOWIN N305 server, and fully loaded it is sipping 47.0 Watts, not bad for 2x25G!" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0492.JPG" caption="This morning a package arrived - I had ordered a 2x10G + 4x2.5G switch, with one SFP+ and one RJ45 10G port for Jessica. Result: 10G to Amsterdam!" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0493.JPG" caption="What is stopping you from coding like this?" >}}
  {{< gallery-photo fn="2024-08-03/article.png" caption="I am writing a review of the Gowin N305 machine which I loadtested with DPDK and RDMA. Check ipng.ch for details!" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0496.JPG" caption="In the afternoon, we had an Apero of Mattei Gran Reserva, before going out to dinner" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0497.JPG" caption="Quinn also posed for a Mattei-picture.  Kids in this country can drink before they are drafted in the military. I know, right?" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0499.JPG" caption="Amuse Bouche: Pan con Tomate" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0500.JPG" caption="Primi: Seedevil carpaccio with Avocato and Chicorino with mustard" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0501.JPG" caption="Secondi: Cappellacci Caprese with Buffel Mozzarella and sun-dried tomato" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0502.JPG" caption="Mains: Grilled Beef filet on a bed of Spinnach with pistaccio, Chianti-reduction and Taleggio cheese on young potatoes" >}}
  {{< gallery-photo fn="2024-08-03/IMG_0503.JPG" caption="Dolce: Crema Catalana and Panna Cotta with Mango and berries" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

