---
title: "Week 2, Monday: Hugo 'meats' Aligro"
date: 2024-08-05T19:21:19+02:00
Tags: []
Categories: []
draft: false
---

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/missmonique.png" alt="Credit: Miss Monique, YouTube" >}}

You know what? Today there simply _was no morning_! Quinn had to get up at 05:00 to get the 05:22
bus to work. I went to bed not too late yesterday, I think around 01:00 or so, but I slept really
poorly last night. I also had this weird dream about me visiting some person who had a large yacht
but kept it indoors in a huge garage. It didn't make any sense to me, and it was frustrating waking
up thinking my dream was somewhat unresolved. I woke up because the mailman dropped off a package
and run the doorbell at 09:00 or so -- which luckily for me, Marina accepted. Thanks, Marina! :)

I feel back asleep and woke up at 11:45. So much for the morning! I walked over to Marina and asked:
"Hey, weren't we going to go to Aligro today?" and she said yes, but after lunch please. We do *not*
want to get caught up in Aligro when hungry, as we'll come back with way too much sweets and food!
_Aligro_ by the way, is a _Costco_ or _Makro_ of sorts; large portions, cheap, and made more for
companies and restaurants than individuals and families. But during the pandemic, they opened up for
the public so we go there from time to time. Like today!

# Afternoon

I made a sandwich with turkey using the fabulous hamburger buns from yesterday. Just before lunch,
Marina and I take a look at some schwag that I might get for IPng: lanyards and cotton tote bags,
and she thinks having a few flags or banners would be nice. I take a look at
[[vistaprint.nl](https://vistaprint.nl/)] as I'll be going to the [[Frys-IX](https://frys-ix.net/)]
barbecue in September, and I am planning on bringing some goodies for our members. I quickly discuss
some financials with Arend - I'm really looking forward to visiting Jubbega and Frys-IX HQ! I think
I'll amke some pins, for both myself as well as for FrysIX. I hope folks like them!

We then go shopping at about 14:00 or so, and we really take our time. We have a small shopping list
with things we need to get -- you know, the stuff that you can only get in particular stores or
shops. But we both know the list is gratuitous, and we stock up on candies, red wine and gin, we buy
5.5kg (12lbs) of popcorn, and we buy about 12kg (25lbs) of assorted beef, pork and chicken. We'll
individually package these in vacuum sealed baggies and freeze them.

Back home at 16:00, we spent a good hour bagging and vacuum sealing our food. It's a huge stack, and
we puzzle a bit making it all fit in the freezer, but Bert (we call our fridge Bert!) has lots of
space and Marina places it all in the fridge without too many problems.

Now I have two things I want to do this afternoon. First, I want to make some pins and order that
Schwag to have it delivered to the Netherlands so that I don't have to mess around at the border.
The pins are actually more of a Marina thing, as she's a little bit better with the drawing tools
and has a template to line them up. I'll make 150 pins in total. I've done it before, once with the
Google folks and the P2020 robot and suite logos. Those were popular!

Secondly, and this is what I choose to spend the rest of the afternoon on, is finish the
[[IPng.ch](https://ipng.ch)] website. I started moving it from Jekyll to Hugo yesterday, and while
the main structure (layout, CSS and Markdown) are OK, there's a few things I end up doing, including
creating a Hugo docker image for Drone (which is super cool, that way every time I `git push` a new
set of changees, _Drone_ will automatically build, test and distribute the website to a cluster of
NGINX servers. I also futz around a little bit with _Content-Security-Policy_ headers, to allow for
my spiffy [[Asciinema](https://asciinema.org/)] screencasts to render directly on the page.

I publish the [[IPng.ch](http://ipng.ch)] website with Hugo for the first time at 18:15 or so, and
I'm very happy with the result!

# Evening

For dinner, I help make sticky cubes of tofu with lemon and Sriracha, mungo beansprouts, carrots,
bellpeppers, and bokchoi, together with glass noodles (the _ONE_ thing we had on our grocery list
for Aligro!). We nom it, and ask Quinn about his first day back at work, which was uneventful and
fine. His claim: I was not more tired at 05:00 than I would've been at 11:00, so 👍 from him.

After dinner, Marina and I take a walk in the forest behind our house. It's really pleasant out, as
the sunset rolls in, the skies are heavenly blue and it's very peaceful out. We talk about
this-and-that, enjoy the stroll and each others company, and get home at around 20:00 or so. Tonight
is what we call _Knutselavond_ in Dutch, or _Arts-n-Crafts Evening_ in English. That typically means
we each to our own room / basement and rummage around or work on projects. For me, it's the CSS and
Javascript on [[IPng.ch](https://ipng.ch)] website. And of course writing my journal for the day.

At about 22:00 I'm done for now, the website is up and looks great, and I'll be backporting the CSS
and styling to this website as well. I watch a movie downstairs, called "#Like", some thriller movie
about a girl that decides to take matters into her own hand. It's OK, not great.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-05/IMG_0528.JPG" caption="I'm making pins for the Frys-IX barbecue.  Sssssht, don't tell anyone!" >}}
  {{< gallery-photo fn="2024-08-05/IMG_0530.JPG" caption="I made a lovely turkey sandwich for lunch with the leftover hamburger buns from yesterday" >}}
  {{< gallery-photo fn="2024-08-05/IMG_0533.JPG" caption="We went to Aligro for 'bulk' shopping, and we got a lot of food!" >}}
  {{< gallery-photo fn="2024-08-05/IMG_0534.JPG" caption="Got meat? We vacuum-sealed all twelve (!) kilos of it." >}}
  {{< gallery-photo fn="2024-08-05/IMG_0535.JPG" caption="With all of that meat frozen, we took to a vegan dinner: Crispy tofu, glass noodles, and lots of veggies." >}}
  {{< gallery-photo fn="2024-08-05/IMG_0537.JPG" caption="The evening walk was very relaxing today, although my left ankle hurts a little bit." >}}
  {{< gallery-photo fn="2024-08-05/IMG_0538.JPG" caption="The sunset over the fields in our village.  I love Switzerland!!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

