---
title: "Week 3, Tuesday: Adrianus and family"
date: 2024-08-13T19:21:19+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/firewalker.png" alt="Credit: FIREWALKER, YouTube" >}}

A great many years ago, from August of 2000 to about September of 2001, I worked for Freeler
Internet, a rather novel approach to ISDN dialup and hosting services back at the pinnacle of the
Dotcom boom. As a youngling, I worked with Rager Ossel at Intouch NV, an early ISP in the
Netherlands. I have great memories of this period, where we stamped out dialup, web- and e-mail
hosting, full services internet provider in record time. Freeler was pretty great, and the man who
ran the infrastructure team is a guy called Adrianus _Aad_ Warmenhoven. Together with a small group
of network and systems engineers, we had a lot of fun and I learned a lot.

Aad and family planned a trip to Luzern this week and asked if they could stop by "for a selfie", a
think I would gratefully oblige. I haven't seen him (in person) for a long time, and it was great to
see him and the family. At around noon a blue car with yellow plates slides by the driveway: they're
here!

We have a cup of coffee and catch up. In the afternoon we take off to Zurich to do a little walk
around town. We get on the S19 train to Zurich, and I'm glad that I bought the whole bunch of
travelers tickets, because we are about to get checked by SBB (the local train company) personnel.
But, and this happens from time to time, some guy did not buy a ticket and is being written up for a
hefty CHF 100,- fine. He's clearly not happy about it, beligerant, yelling at the two people who are
following him (one of them on the phone). He's incredibly loud and rude, and ends up spitting food
all over the train, it was pretty gross and the SBB employee was not amused. She took my and
Marina's information for a report, and the S19 stops at Zurich main station, after which two
security guards, followed by two policemen, _handle the situation_. We're walking up the escalator
and see at least eight more cops walk down. It was an impressive sight, no half measures!

After the stormy weather yesterday, today again it is 28C or so -- for me not too hot but after a
while walking in the bright sunshine, I have made enough vitamin D and could use some shade or cool
water. We walk into the _Grossm&uuml;nster church to cool off a little bit. I sneak a picture of
what I think may be a [[Johannus](https://johannus.com/)] church organ, and it's a pretty sight!
From outside on the patio in front of the church, we overlook the _Fraum&uuml;nster_ church on the
other side of the river Limmat, which is a beautiful aquamarine blue due to the minerals from the
smeltwater in the Alps. I really love Zurich, it's so pretty!

We overheat a little bit and cool down at the Opera house (where not four days ago there was an
enormous stage with 900'000 people raving!), and then make our way back through _Bahnhofstrasse_
where I see a classic: some randomly parked supercar. Today, it is a McLaren, from the looks of it a
720S. It's orange, and it would look nice on this website :-)

We mozy our way up to _Paradeplatz_, where we sit in the shade of _Zeughauskeller_, also known as the
armory. If you're ever in Zurich, take a meal here, it's really fun to sit at large tables and order
classic dishes like _Kanonenputzer_ (a _Canon cleaner_, which is one meter of sausage), eat hearty
soups, and drink beer from a _Stein_. Which I do.

We go back to my place, and I suggest that we start the Hubble portion of Sandra's awesome lego
Space Shuttle. We get through the first few baggies and chat. It's really warm though! Aad and I
also form some baguette and boules for dinner, we're barbecueing tonight! We make some hamburgers,
pork skewers, and a _Limousin_ dry-aged steak: from our haul last week at _Aligro_! It's a prime
steak for sure, and Adrianus' better half requests it "as red as you can". We both nom on a piece,
and it's one of the best steak's I've ever had in Switzerland. Truly amazing! I also throw the
second piece on, but I only eat half of it - the rest will go very nicely in a cold salad tomorrow
for lunch. We're stuffed! 

Aad and family take off back to Luzern at about 21:00 or so, and Marina and I walk off some calories
by doing our _Floof Chicken_ route. Of course, no floof for us today, because the sun is already
setting and the chickens are in their coop. But we have a nice walk anyway, and the sunset is
gorgeous today.

After that, we fail to install and use the 59mm stamping head for the pins I want to take to FrysIX
barbecue and we're pretty sure one of the parts is misaligned. Before we go try to fix it ourselves,
Marina sends an e-mail with a few pics and a short video showing the problem. But for now: no 59mm
pins, yikes! Luckily, we still have three weeks or so.

I drink Sprite Zero today, and leave the _Vino_ for another time. I'm pretty tired, and definitely
got my steps in today. Aad: it was really great to see you!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-13/takeover.jpg" caption="Takeover 2001, one of the first times I met Adrianus and the Multi Access / Freeler crew. I organized the Takeover demoparty from 1998 to 2001." >}}
  {{< gallery-photo fn="2024-08-13/IMG_0628.JPG" caption="Aad and I, almost 25 years later, obligatory selfie-proof that we met!" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0629.JPG" caption="The inside of Grossm&uuml;nster with a beautiful church organ" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0631.JPG" caption="A snapshot of the Fraum&uuml;nster on the other side of Limmat, as seen from Grossm&uuml;nster" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0633.JPG" caption="A McLaren 720S parked in the middle of Bahnhofstrasse. Someone has connections to the parking police :)" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0634.JPG" caption="The iconic building on the corner of Sihlstrasse and Bahnhofstrasse, one of the most expensive buildings in Switzerland, per square meter, that is" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0635.JPG" caption="Back in Br&uuml;ttisellen, we play with legos, yaay!" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0637.JPG" caption="The first Limosine steak I make on the BBQ - it was requested bleu, and that is how the chef made it." >}}
  {{< gallery-photo fn="2024-08-13/IMG_0638.JPG" caption="My Buurebrot (farmers bread) that I started yesterday, it came out really nice; I will store them in the fridge half-baked, and complete them over lunch" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0640.JPG" caption="The second steak comes out a little bit more on the rare side, but it has a nice diamond on it. It's a-ma-zing (well, if you like rare steak, anyway). Apologies, my vegan friends!" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0641.JPG" caption="Somebody left a cute looking tree trunk/log at the garbage bins, but I don't think it will be picked up, it's waaaay to big/heavy." >}}
  {{< gallery-photo fn="2024-08-13/IMG_0642.JPG" caption="Our evening walk is to settle the BBQ meal in our stomachs. It's needed, I am stuffed! By the way, interesting picture quality, the 90s called, they want their compression artifacts back!" >}}
  {{< gallery-photo fn="2024-08-13/IMG_0643.JPG" caption="The sunset over the valley towards Dietlikon is very nice tonight, the picture doesn't quite do it justice" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

