---
title: "Week 5, Monday: Colt, Lumen, Level3, CenturyLink"
date: 2024-08-26T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/jungletone.png" alt="Credit: Jungle Tone, Youtube" >}}

I had a slow day today. After all of the hot weather in the last week or so, the temperature shot
down to 19C or thereabouts, and I spent more of the day just rummaging around the house. I took a
bike ride to the airport in the afternoon, and visited what was the remains of the 900 year
celebration of Dietlikon city.

Later this week, I'll be helping IP-Max move out of Equinix ZH4, a project called the _Equinexit_,
and every customer and transit/long haul link has been moved, the last one being a Colt line from
Zurich to Lugano in the south of Switzerland. There is already a redundant second link from Lugano
to Geneva, so it would not be the end of the world if IP-Max ran without redundancy for a small
while. That said, the cross connect has been delivered on both sides, so I bike over to NTT to plug
it in. Just my luck: no light! I try a few different optics, a different patch cable, and swapping
the RX/TX around, none of which helps me. The silver lining is that my telescoping pike fly swatter
once again made it very easy to deploy this patch cable from the front to the back of the rack :)

In the late afternoon, I take a few pictures of the west side of Zurich Airport - the airport itself
is in a town called Kloten, something that always makes me giggle because in my native language that
would mean "Sucks". I stare at the planes landing and taking off for a few, and then I bike home. My
Stromer really does need to go to the shop, I have an appointment in early September, because the
torque sensor in the pedals sometimes fails and blocks the motor. This happened to me on the way
back home, also. The remedy is straightforward: turn off the bike, reboot it, calibrate the sensor,
and it works again... for a while.

I get to make R&ouml;sti when I get home. We're eating a classic: veal sausage with mustard, and 
hash browns with applesauce. It's so simple but yet so good! Marina doesn't like making R&ouml;sti,
so I take care of business. It comes out reasonably well, and it's gone before I think of taking a
picture of it.

In the evening, we watch a romcom with Jennifer Lawrence, who is very pretty. The movie is called
'No Hard Feelings', which scores a 6.1 on IMDB, but I'm going to give it a +1.0 score, just because
she's so darn cute. After the movie, I go downstairs to write my journal posting, with a good glass
of Rioja. Later in the evening, I catch up with Brian from work, and we spend some time talking
about how things are going and what the latest gossip is. Bummer! He'll be in Zurich in the week of
NONOG+FRNOG, where I have 0 days in Switzerland. I'll have to miss him and catch up in the Bay Area
some time.

Perhaps today is my moral equivalent of _Sunday_, because I didn't ... do ... anything :)

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-26/IMG_0830.JPG" caption="The Church of Opfikon, visited on my bike ride from Br&uuml;ttisellen to Glattbrugg and R&uuml;mlang" >}}
  {{< gallery-photo fn="2024-08-26/IMG_0831.JPG" caption="The telescopig flyswatter trick helps me again, this time for a link to Bancadati in Lugano " >}}
  {{< gallery-photo fn="2024-08-26/IMG_0835.JPG" caption="This rack is starting to really fill up, with only a handful of patch panel positions left over, and tonnes of CWDM waves lit, both to Interxion, Equinix, and several swiss and european cities." >}}
  {{< gallery-photo fn="2024-08-26/IMG_0837.JPG" caption="The outside of the NTT building as seen from the public street." >}}
  {{< gallery-photo fn="2024-08-26/IMG_0838.JPG" caption="The west side of the Zurich airport apron, a few private jets here and every now and again a big one takes off overhead." >}}
  {{< gallery-photo fn="2024-08-26/IMG_0839.JPG" caption="I bike home and snap a selfie. It does appear that I'm growing a second chin." >}}
  {{< gallery-photo fn="2024-08-26/IMG_0843.JPG" caption="The movie today is 'No Hard Feelings' with Jennifer Lawrence, who is incredibly cute." >}}
  {{< gallery-photo fn="2024-08-26/IMG_0845.JPG" caption="Marina is also incredibly cute - and I take this picture using a wine glass to encutify her even further." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
