---
title: "Week 5, Wednesday: Equinexit: kthxbyeeee"
date: 2024-08-28T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/melodicairwave.png" alt="Credit: Melodical Airwave, Youtube" >}}

I'm quite excited for today. My buddy Fred, who owns and runs [[IP-Max](https://ip-max.net/)] is
moving out of all Equinix facilities, as there are better alternatives out there. I'll leave the
details for another time, but let's just say that every one of the alternatives have less billing
mistakes, and I'll leave it at that.

Today I'm doing Fred a favor and exiting AS25091 from Equinix ZH4. As long as I've known IP-Max,
which is about 18 years now, they have been at Equinix in Zurich. First they were at ZH1, the office
building across the road, then as well ZH4, since maybe 2012 or so? and finally they had a big
presence in ZH5 in Oberengstringen, which Fred and I ceremoniously exited a few months ago.

Ludo and Fred have been absolute champions in this project: they have facilitated moves of every
customer, all international links, all domestic links, and all dark fibers in the Zurich metro. The
very last link (with Colt, once called Lumen, once called Level3, once called Centurylink) was
supposed to be delivered between Lugano and R&uuml;lang  yesterday, but after much ado there was
only light on one side. It doesn't matter though, that link is a second 10G link to Lugano, and
there's another one from Geneva; so no customers will really notice those few days of slightly
higher latency LUG->GVA->ZRH reroute, so we agree that I can proceed.

Because ZH4 has terrible parking, as it's right in the middle of the city at Hardbr&uuml;cke, I
decide to do the first half of the decomm by bike; I go over there, and disconnect / decommission
the links and power off the routers and switches; there are two ASR9001 routers here, and some
ancillary equipment which I unscrew and put at the bottom of the rack. All the fibers and power
cables will go in a big bag which I'll bike back home. Then, when it's not the middle of the day and
parking is constrained, I'll go back by car with a trolly to  pick up the 19" equipment and the
PDUs. Sounds like a plan, let's go!

My bike ride to and from the Josefstrasse 225 is delicious. It's not too warm, the air is crisp and
dry, and the Sun is out. One of the reasons why I like helping IP-Max like this with their presence
in Zurich, is that I get to enjoy a bike ride to the datacenters -- which is often _faster_ than by
car, because of the absurd traffic situation around Zurich City. My bike ride is about 20min or so,
and when I come back, a treat awaits me.

Marina and Nicole have made flat bread with sloppy-joe-esque meatballs and saut&eacute;ed onions.
They are absolutely fabulous, although I omnomm my meatballs with a B&uuml;rli instead. After the
belly is full, I feel it's time for me to maybe do a bit of sportsing. I (very easily) convince
Jean-Paul to take a walk with me. It's a loop around Bassersdorf, and I know of a cute hiking trail
through the forest on a ridge just a few kilometers west of here. We really enjoy the walk together,
even though some of it is a bit more of a _Pim-pad_ (which is Marina's way of saying "not a trail"
although I just march through the thicket just as if it _is_ a trail).

We start off by visitng the _Floof chickens_, a common evening stroll. They are actually here for
once! Which is probably because we are here at 2pm rather than at 8pm, which for them at least,
makes all the difference. From there, we catch the trail on the ridge in Baltenswil and walk North
through the _Langentannen_ forest and all the way around the north side of Bassersdorf (two hilltops
here are _M&uuml;lberg_ at 524m, followed by _Homberg_ at 527m), until we can see the Kloten
international airport. It's really nice because it's all at relatively high elevation, on the rim of
the valley where our villages lie, with beautiful views. From a vantage point over Bassersdorf, we
look to the other side of this valley, some 10km due West of where we are, and plot a path through
the valley to the other wise, where the _Hardwald_ forest is. 

I should get up here more. It's so peaceful and serene, looking over the valley from up here. We
plot a path through Bassersdorf and aim for _Hardturm_, a wooden lookout tower over there in
_Hardwald_ forest in Dietlikon, and make our way over there. Along the way we hear the kids playing
at the municipal pool, then we visit the local highschool before we make our way over to the other
wide of the valley and up the hills towards Dietlikon. Here, we end up not going to the tower, as
it's still a few kilometers away, and instead I aim for the local radio tower in Dietlikon, and from
there it's a very known walk (for me at least), back down over _Klimm_ which has a nice set of ponds
and family gardens, and through Dietlikon back home. In total we did 13km or so, and it was
wonderful, albeit my feet were a bit more sore than I would've hope. I would not have lasted 400km
like my buddy Brad (who is hiking _Kungsleden_ in Sweden, which is some 480km long trail!). I think
of Brad, and send him a message on Signal asking him how his mental and physical health is, as he is
almost done and Cristina is joining him for the last 80km or so. He's in great spirits, and I'm part
jealous part grateful for him to be able to get to do such a trip. I will join you next time, Brad!

In the evening we made a reservation at the local eatery _R&ouml;ssli_, and we sit outside in the
residual heat of the day; we order some nice grub, notably the local favorite _Tartar_, which is
hand sliced (raw) beef filet on toast. I eat a _Schnipo_ which is a veal schnitzel with fries. After
the dinner, Jean Paul and I enjoy a glass of Grappa, and manage to kill the bottle.

It's been a good day. The Swiss Equinexit is now a fact.


## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-28/IMG_0865.JPG" caption="I am using my badge to this datacenter for the ~last time." >}}
  {{< gallery-photo fn="2024-08-28/IMG_0871.JPG" caption="The bikeride home from the datacenter is through the fields and alongside a little river; it's a beautiful bikeride. " >}}
  {{< gallery-photo fn="2024-08-28/IMG_0872.JPG" caption="The lunch of the day is meatballs, with tomato and sauteed onions, on B&uuml;rrli" >}}
  {{< gallery-photo fn="2024-08-28/IMG_0873.JPG" caption="JP and I visit the floof chickens at the beginning of our hike around Bassersdorf." >}}
  {{< gallery-photo fn="2024-08-28/IMG_0874.JPG" caption="JP marches through the forest in search of the trailhead on the ridge between Bassersdorf and Tagelswangen" >}}
  {{< gallery-photo fn="2024-08-28/IMG_0878.JPG" caption="A selfie at the top of the hill, overlooking our valley with Bassersdorf below us and Dietlikon on the far side of the valley." >}}
  {{< gallery-photo fn="2024-08-28/IMG_0879.JPG" caption="We found a kitty! And we petted it :)" >}}
  {{< gallery-photo fn="2024-08-28/IMG_0881.JPG" caption="After hiking 9km or so, my hands fill with fluid, maybe also because it's 33C out; I can't really close my fist right now, but I'm sure it'll pass." >}}
  {{< gallery-photo fn="2024-08-28/walk.png" caption="Our ring around Bassersdorf, 13km or so in total." >}}
  {{< gallery-photo fn="2024-08-28/IMG_0886.JPG" caption="Apero: nicely made Aperol Spritz" >}}
  {{< gallery-photo fn="2024-08-28/IMG_0890.JPG" caption="Dinner - buffalo mozarella with beefy tomatoes, much like yesterday." >}}
  {{< gallery-photo fn="2024-08-28/IMG_0892.JPG" caption="Dinner - Beef Tartar, with toast, egg and red onion." >}}
  {{< gallery-photo fn="2024-08-28/IMG_0893.JPG" caption="I click a few trillion cookies for Quinn." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
