---
title: "Week 5, Thursday: Pepe"
date: 2024-08-29T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/ben-c-kalsx-live.png" alt="Credit: Ben C and Kalsx Live, Youtube" >}}

My parents in law, Jean-Paul and Nicole, have their birthday two days apart, Nicole on the 27th and
JP on the 29th of August. Sometimes, Nicole would call Marina on the phone with a "hey don't forget
your dad's birthday tomorrow", eliciting some guilt-filled "oopsie" on the part of Marina. But, this
year, we forgot neither birthday!! 

In the morning, post-brunch truffles are served. These belgian pralines are pretty great, so I
cheers Marina who has a dark one while I choose a white chocolate one. A truffle a day, ..! After
the brunch I ask Marina if she's willing to bring me to the datacenter, because parking in the
daytime can be quite difficult, but I figured if she is willing to circle the block a few times, I
can retrieve the IP-Max treasure. And thus, we went on our way to arrive at the datacenter only to
find that (a) there were plenty of parking spots available and (b) the local parking police were
writing out oodles of tickets to folks who had parked either too long, or didn't pay, or were not
neatly parked in their respective parking bay. This is Switzerland, people, and we like our cars
parked orderly, and our bundles of paper bound neatly, thank you.

I casually schlepp two ASR9001s, an ASR920, a Cisco 2960 switch, a handfull of CWDM muxes, and two
APC power strips out of this facility.  I have accumulated so many horror stories, from being denied
access, being locked up on the floor, but overall somehow even after eighteen years of access, every
other time its "you do not appear to have access to this location" followed by a 45 minute
song-and-dance with escalations, and somehow magically "oh yes, here you are" is the result, full
biometrics have to be redone, a new badge needs to be created - because this has only happened
thirty times before. A smile on my face appears as it will be unlikely that I ever have to step
foot in this particular building again. By the way, I hear - from employees that work here - that
this datacenter company is the best company in the world - did you know??

Bon, bloodpressure lowered as I put the equipment in an ever growing stah of IP-Max equipment in the
IPng Networks carrier hotel - all of this stuff is slated to deploy later: these ASR9001s and
assorted equipment will go to _Stollen_ in Luzern in September, while the bigger ASR9010 will go
live a productive life in Frankfurt in October. Marina is pouting as I put stacks on stacks of
equipment, but I know that deep down inside, she possibly still loves me.

To take our minds off of the enormous stack of nerd, we go to a local Portugese winebar, where we
sit outside on the patio and order a jug of white Sangria. To nosh a little bit, we also order house
made tapanade and some olives and bread. We spend a while watching the world slide by on the road
and roundabout here, and overall I find it incredibly relaxing. We'll be taking the bus home, so no
need to rush: the busstop is literally across the street from the terrace.

The Sangria is nice for a summers' day, and I find it easy to convince Marina to have some in the
back yard later. What is a bit more difficult, is to convince her that my iPhone's selfie camera is
so much better than her Samsung one. It's because her argument is that holding the phone (with a pop
on the back) and being able to move the shutter button on the screen, makes it much easier to take
pictures -- especially if you have nails. My argument is: eff that, press harder and with your thumb
at a 112 degree angle, and benefit from the pixels and sharpness of the iPhone. We're both
wondering: the selfie of us down below: was it made by iPhone or Samsung? No peeking at EXIF!

After our delectable Ap&eacute;ro, we make our way back home with the bus and start at dinner. In my
household, there's a pernnial disagreement on the potato krokettes: I really like them to be
hashbrown or r&ouml;sti style (as pictured here), and Marina/Quinn prefer the softer _Duchesse_
style. Leave a comment down below to let me know what your opinion is. Oh, wait...

We chop up a bunch of garden vegetables and yeet them in the steam oven, and Nicole makes some
delicious turkey filet, nicely seasoned and very tender. Yum! After the dinner, one last thing comes
up, a birthday "cake", although Marina does not think it's much of a cake, JP and I do! It's a
_Quarktorte_ (sort of a cheese cake, not baked). My bigger issue is that I find raisins in the cake.
Luckily they are in the bottom, so I muster the mental strength to consume a piece (which, I cannot
tell a lie, is actually very good despite the polution).

Then at 8pm, just as I'm moving the last bite of cake into my face, Tim pings me on Telegram
"meeting time!". The [[Coloclue](https://coloclue.net/)] association has a monthly meeting with the
network and systems admin committee, of which I am a member. Very glad I went, because we had a full
contingent, everybody came, including two new folks: Jaap and Erwin, who are looking to chip in and
join the team. We talk about bits and bobs, a new set of core switches, some action items (including
a new OOB platform, and upgrading our VPP routers from Debian Bullseye to Bookworm), and our desire
to deploy Akvorado with VPP -- which reminds me of an ongoing thread with the folks from
[[Inmon](https://inmon.com/)] about their proof of concept to add _sflow_ to VPP, which excites
Rogier and me greatly. We immediately make a date: September 6th, we'll take the code out for a
spin, possibly seeing if/when/how we might deploy this to the routers at Coloclue. Considering the
machines will have to reboot with the Debian upgrade, that would be an excellent time to add or
remove VPP plugins as well, limiting the number of dataplane restarts to, essentially, one. By the
way, VPP is running pretty well at Coloclue AS8283. The last dataplane restart was on March 5th when
there was a power failure at the facility and up ever since.

I have to say, my favorite part about the meeting is the _afterparty_. We get to know each other,
ask curious questions of Jaap and Erwin, and I crack open a bottle of Rioja (a _Gran Reserva_ cuz I
ain't playing around), and all of the sudden it's 1am. This suits me fine as I will be gearing up
for a night shift this Saturday at Zurich Open Air (which is slated to run until about 3am). After a
fun evening of catching up and making new play dates for Coloclue, I turn in a happy camper after a
quick midnight snack (of cup-a-noodles).

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-29/IMG_0896.JPG" caption="Marina and I cheers with a truffle in the morning. As the famous saying goes: One truffel a day, keeps the doctor gay!" >}}
  {{< gallery-photo fn="2024-08-29/IMG_0901.JPG" caption="Marina chauffeurs me to the datacenter in Zurich where I decommissioned stuff yesterday, to pick up the equipment. Nice trolly!" >}}
  {{< gallery-photo fn="2024-08-29/IMG_0903.JPG" caption="(part of) the haul for IP-Max: a few muxes, two ASR9001s, a Cisco 2960G and an ASR920. I think I'll loadtest this stuff later!" >}}
  {{< gallery-photo fn="2024-08-29/IMG_0904.JPG" caption="In the afternoon we take an apero with white-wine Sangria at a local Portugese watering hole" >}}
  {{< gallery-photo fn="2024-08-29/IMG_0908.JPG" caption="We have some tapanade and olives with this rather delicious sangria" >}}
  {{< gallery-photo fn="2024-08-29/selfie.png" caption="Marina and I have an argument over whose cellphone takes better selfies. Mine has a better camera, but hers has a pop so you can hold it more comfortably. We agree to disagree." >}}
  {{< gallery-photo fn="2024-08-29/IMG_0910.JPG" caption="In the evening, we eat fried turkey with steamed veggies and r&ouml;sti kroketten. Lekker!" >}}
  {{< gallery-photo fn="2024-08-29/IMG_0911.JPG" caption="As desert, Pepe requested (and therefor, got served) a Quarktorte, which had raisins :(" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
