---
title: "Week 5, Friday: Loadtesting ASR9001"
date: 2024-08-30T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/method-drumbass-mixes-02.png" alt="Credit: Mtehod D&B, Youtube" >}}

I had plans for today, but due to different planning, those plans changed. Originally, I was to do
the IP-Max Equinexit today, but I moved that up to [[Wednesday]({{< ref wk5day3.md >}})] instead. So
now I have a whole day left over, and whatever shall I do?? JP and Nicole decided to visit Luzern
today, so they're off early on a train. Since I went to bed at 2am yesterday, and I had an absolute
terrible sleep, waking up at 03:00 with a head full of snot, and again at 04:00, then at 05:00 when
Marina said "hey now that you're up, how's about you rattle Quinn out of bed", and then once again
at 07:00. It was a very unpleasant night. I'm tired already and it's only 10am.

In the morning, we do some weeding of the front yard. Marina binds the bulbous _Hydranchea_ flowers
together, now that they've  really grown big and heavy and are starting to sag over our walkway.
It's been pretty favorable weather, lots of 30C temperatures and every few days a good rainshower to
feed them much needed water. So, they've grown quite a bit. As we chat with Andrea, our neighbor, we
trim and cut back the flowers so that they look a bit less like a jungle. The trimmings we decide to
keep, as we can propagate them. The trick is to remove the leaves at the bottom of the cutting, and
then snip it just under a joint where the leaves shoot from - there are hormone pockets there, and
it's more likely that roots will shoot out from such a location. I advise Marina, a plant biologist
with an ironic deficit of not being able to keep plants alive, and she makes good work of it. I'll
check back in in a few days (maybe 7-10d or so), to see how those went. Perhaps we can plant a few
more in our back yard, that would be nice.

Then we have a spot of lunch - Marina is taking some of the steamed veggies from yesterday and
making an omelette out of them, and I am taking the leftover onion sauce and sauteed onions and
turning it into a salty onion soup. Both go down well - and for once Marina finishes lunch before I
do: a rare sight! 

After lunch I decide that I'm going to take the ASR9001 from IP-Max out on a date to the IPng lab. I
rack it, boot it (which takes absolutely for ever by the way), and find myself stumbling around the
serial, super tired, mostly possibly because of my interrupted sleep from yesterday. Marina however
cheers me up: _cr&egrave;me-schnitt_ time! I enjoy mine with an espresso coffee, which gives me just
enough of a pep to be able to wire up 12x 10G SFP+ and XFP betweenb one of the loadtesters and the
ASR9001. The loadtest itself is exciting, notably because it does _not_ do line rate small packets.
However, I'll leave the larger technical description for an IPng article, later on next week.

Tonight, we're eating sticky tofu with sticky rice and steamed broccoli. It's a recipe we have from
Hello Fresh, but one that really got Marina to liking tofu recipes. In her mind, tofu is that white
stuff you get in Miso soup, and she was until recently not convinced that you can also have firm
tofu. Her special trick (which I don't think works) is to press out some more water by placing the
tofu blocks between two cutting boards and loading something heavy on top. Oh well, my dear, if it
works for you, it certainly works for me :-)

We bought ros&eacute; wine, unfortunately the pretty bottles with the sharp artsy edges we bought
were all gone, so we made do with "just" normal bottles. This one is a fair bit more dry than the
facetted-bottle-one, and because I'm just a little bit tired I decide to limit myself to one tiny
glass. Dinner is had, and bellies explode. We eat a lot of this tofu stuff! A totally veganistical
meal!

AFter dinner, we take a walk up the hill, and both of us notice that even halfway up the path, we
need to take a little sit down to recover. Geez, Rick, I'm really not energetic today! After the
schlepp up, which is really only 30 meters (100ft) of elevation gain, the walk _back down_ is not
terrible at least. It's nice weather out, not too hot, and still bright blue skies. I love Summer,
so much.

Back home, we reconnect with JP and Nicole who have returned from Luzern. They executed their whole
plan without flaw - train to Luzern, boat around the lake, up mount _Pilatus_, down with the
cogwheel train, and overall had a very enjoyable time in and around Luzern. Great! But now all of us
are tired, each for their own reasons [admittedly, mine being the lamest reason].

We plop on the couch and watch a belgian movie: _Mijn Papa is een Saucisse_ (My dad is a Sausage,
[[IMDB](https://www.imdb.com/title/tt5939328/)]), with Johan Heldenbergh alongside young Savannah
Vandendriessche (gotta love those Belgiansurnameswhichareallinoneword). Another actress in the movie
is Hilde De Baerdemaeker, also a classic use of the double -ae- there!) who we just saw in the
flemish police series _Coppers_. The movie is a real feel-good family drama about a stressed out Dad
called Paul, who quits his banking job to become an actor, without any support from his family
except his daughter Zo&euml;. It's entirely predictable, but for me it really worked. I enjoyed it.

At 22:00 everybody skedaddles and I am left thinking that I still want to move my day up a little
bit, because of tomorrow's Zurich Open Air. So I go downstairs to do a bit more loadtesting on the
ASR9001, and at around midnight I decide that I will call it a night. I can always take a nap
tomorrow afternoon, being the old geezer I have clearly become.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-30/IMG_0914.JPG" caption="Marina lovingly holds the hydranchea cuttings, which we will try to propagate" >}}
  {{< gallery-photo fn="2024-08-30/IMG_0917.JPG" caption="I do a bit of emergency balloon repair of our 'Happy Birthday' balloons, the -r- is -r-ipped, and some kapton tape comes to the rescue." >}}
  {{< gallery-photo fn="2024-08-30/IMG_0919.JPG" caption="I prepare a loadtester with 6pcs of dual 10G NIC, because the ASR9001 I am loadtesting has 12 ports." >}}
  {{< gallery-photo fn="2024-08-30/IMG_0920.JPG" caption="Some energy and relief is given by this nice cup of espresso and creme schnitt." >}}
  {{< gallery-photo fn="2024-08-30/IMG_0921.JPG" caption="Here's an MPA4X10G module for the A9K, we use these all over the place, but can they do 4x 14.88Mpps and 40Gbps of throughput?" >}}
  {{< gallery-photo fn="2024-08-30/IMG_0922.JPG" caption="Marina's trick to get dry tofu is to squeeze it until it stops moving." >}}
  {{< gallery-photo fn="2024-08-30/IMG_0923.JPG" caption="We enjoy a glass (just one, today!) of ros&eacute; wine" >}}
  {{< gallery-photo fn="2024-08-30/IMG_0926.JPG" caption="After dinner, we crawl up the hill in slow motion. But it sure is pretty up here." >}}
  {{< gallery-photo fn="2024-08-30/IMG_0927.JPG" caption="On our walk we stumbled across this BMW i8 car - I really like the shape." >}}
  {{< gallery-photo fn="2024-08-30/IMG_0930.JPG" caption="The movie for tonight is: Mijn Papa is een Saucisse, here Zo&euml; is Ms Tofuball, don't ask." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
