---
title: "Week 6, Saturday: DDLN and sflow"
date: 2024-09-07T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/kushsessions-02.png" alt="Credit: KushSessions, YouTube" >}}

(reversed chronology alert). It is Sunday September 8th, 01:26am as I begin to write this story
about what is essentially yesterday, Saturday September 7th. I am currently listening to [[Kush
Sessions #242](https://www.youtube.com/watch?v=B8FIUbepBzM)] as I write this. It's not the first
time! If you look at the video I recorded to announce my Sabbatical, which went to
[[Twitter](https://x.com/IPngNetworks/status/1821681368989839773)], and
[[Mastodon](https://ublog.tech/@IPngNetworks/112928849045729490)] (where I post a whole lot more
than Twitter, just-so-you-know!), and
[[LinkedIn](https://www.linkedin.com/feed/update/urn:li:activity:7227455516086571008/)], where I got
a lot of support from friends and colleauges. I really, really like this particular Kush Sessions,
so thank you to [[Rossum and Crissy](https://www.di.fm/shows/kushsessions)] for being such excellent
DJs. Kittycat for the win!

At 13:30, I have an appointment with my buddy Antonis, who is traveling to San Francisco on Monday
and wants to do some pre-emptive maintenance on his machine at IPng's small colocation facility in
Zurich. He made the same 'mistake' as I did, and fell for the Samsung QVO for his hypervisor, and
after about a year and a half is seeing only 20-30MB/s write rates on an otherwise healthy, albeit
slow, disk pool. I had the exact same problem, with the exact same drives, on four of IPng's
hypervisors. I refurbished all of them with SAS-12 enterprise SSDs from NetApp and HPE and literally
never looked back (write rate of 700MB/s per disk and 1.5GB/s on ZFS RAIDz1, hell yeah!). Recently,
I ordered 12 more of these 3.84TB SAS12 drives, so I'll accompany Antonis and plug in a few more
disks on my own hypervisor that runs [[video.ipng.ch](https://video.ipng.ch/)],
[[ublog.tech](https://ublog.tech)], and [[pix.ublog.tech](https://pix.ublog.tech/)].  By the way, if
you'd like an account on the PeerTube, Mastodon, or Pixelfed instance, just let me know! I'd be
happy to have you, if you're reading this journal :)

The colocation is a pretty cool story. My buddy Luuk, who owns a company that develops an autonomous
mono/dual-occular slam based automatic pilot system for life sized rotary and fixed wing aircraft
systems -- wait what? OK: Luuk and his team decided that they could probably fly an Airbus A320 or
Robinson R44 (helicopter) better than humans could, given a good sensory and visual input and
sufficient automated, dare I say _artificial intelligence_ systems. Daedalean creates
safety-critical AI systems for situational awareness and flight control, with the eventual goal of
developing certified autonomy in the air. If you're in Zurich, and this type of tech and
startup-getitdone-company is your jam, and you'd like an intro, just come see me and I'll open a
door for you.

I have been following this great company since they started - and at some point, Luuk and I were
wandering in the insides of this office building in Zurich Albisrieden, and I said: "Wouldn't it be
cool if we built a colo in this otherwise unusable room?" and Luuk said: "Knock yourself out." and
thus came into existence: [[IPng's
Colocation](https://ipng.ch/s/articles/2022/02/24/ipng-networks-colocation/)]. The colocation that I
built, together with Daedalean, is very special. It’s not carrier grade, it doesn’t have a
building/room wide UPS or diesel generators, but it does have competent power, cooling, physical and
logical deployment. But most of all: it redundantly connects to AS8298 and offers full N+1
redundancy on the logical level.

OK, where was I - Antonis added 4pcs of Samsung EVO to replace his shitty QVOs, and I added 3pcs of
SAS12 Netapp SSD, to cycle my prime realestate services if need be. We are both In and Out like the
Burger, 15 minutes later, disks were added, storage pools were built, and we chatted a little bit
about mutual projects, notably [[Free IX](https://ipng.ch/s/articles/2024/04/27/freeix-remote/)]
which now has a presense in Amsterdam, Zurich, Milan and Thessaloniki. The next step is to
interconnect them all, and things are cooking in that department.

I bike home at 15:00 or so and all of the sudden it hits me: I have this loaner bike until today
16:00 and I haven't heard back from Stromvelo! I check my mail and lo-and-behold: an e-mail that
they are servicing my _bolide_ now. I'm in Albisrieden and the path from DDLN to my house almost
crosses Stromvelo, so I decide to bee-line it to the shop. I got there, and the guy was finishing up
a sales convo with a prospect customer (and I think he nailed it!), after which we talk briefly
about my bike. It turns out, the _replacement_ sensor was faulty, and he replaced it with yet
another one, which tested fine and the bike is delivered to me without extra costs. I'm over the
moon that I have my little Stromerli back. I bike home as-if on clouds, it's _that_ smooth.

Coming home, what's a guy to do? Some loadtests of course! I leverage my side-quests form yesterday,
boot up the hypervisors, and get cracking to a functional- and loadtest of the `sflow` plugin that
Neil McKee from Inmon wrote a while ago. I take note, ask myself questions, and end up in an
animated conversation with Neil. We agree that a higher bandwidth convo is justified, and schedule
some time on Monday at 9am pacific, 18:00 my time. It'll be fun!

The loadtests are running, and I am also reminded that yesterday we did not finish that _Maison
Gillard_ wine from Wallis. It does not take long to lure Marina to the garden - and she gushes all
over this wine. You know what? I'll bike to Coop! The last time we tried this (with the faceted
ros&eacute;) it was sold out. Maybe this time I get lucky? Hell yeah I do! There's still maybe
twenty bottles or so, all at fifty-billion-percent off. I have my backpack and it snugly fits
precisely eight bottles and one 200 gram packet of smoked salmon. Mission accomplished, and as I
roll back in, Liv and Quinn just arrive, and we offer them this newly found discounted but totally
fabulous white. As we go outside and sit, I start a Spotify Jam, which Liv quickly joins, and she
adds some tasty music (some great, some awful), but overal: engagement++ and I enjoy vibrantly
discussing the music with the kids.

I make dinner: home made _fladenbrot_ (English: flatbread) with planted gyros. I really, really like
this stuff. With some homemade garlic sauce, some heatonist hot sauce, and plenty of water, the meal
is a continuation of the vibe outside. It was dope! After dinner, we all wash up, do the dishes and
clean the table, after which Liv takes off to catch the bus. Bye, Liv! You're an OK human :)

We have three more episodes of _V Wars_ to watch. Honesty? I think I missed most of it, because I
was pushing my face into my laptop to continue and complete the fist set of loadtests of the `sflow`
plugin in VPP. We finish S01E10 though, and the season (and series) is completed. All three of us
agree: OK, but not stellar - would not watch again.

After this, I go downstairs and write my journal entry, starting with the (reversed chronology
alert) and ending up here, at 02:13. It's time for me to sleep - I have promised Quinn and Marina a
Mimosa brunch (hence: the smoked salmon -- see? it all makes sense). Today's story took me 47
minutes to write. Time well spent? You tell me!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-07/IMG_1136.JPG" caption="DDLN: One of IPng's racks at this beautiful office building with good power, great connectivity, and a raised floor." >}}
  {{< gallery-photo fn="2024-09-07/IMG_1137.JPG" caption="DDLN: A rack full of diskfulls - I have this very machine (st0.*.ipng.ch) but these are not mine." >}}
  {{< gallery-photo fn="2024-09-07/IMG_1139.JPG" caption="DDLN: IPng @ DDLN, the sticker on the side of my two racks at this place. If you want to host a private server in Switzerland, ping me!" >}}
  {{< gallery-photo fn="2024-09-07/IMG_1144.JPG" caption="Two dual-100G network cards, normally in IPng's hypervisors, currently swapped out for 8x10G instead." >}}
  {{< gallery-photo fn="2024-09-07/IMG_1146.JPG" caption="The Dell R730s in the IPng laboratory have vinyl badges - I didn't buy that Cameo v5 for nothing!" >}}
  {{< gallery-photo fn="2024-09-07/loadtest.png" caption="Loadtests are fun! This is a screenshot of a losttest with and without sflow sampling enabled in its prototype from Neil McKee from Inmon.  There's work to do, but so far: functionally complete!" >}}
  {{< gallery-photo fn="2024-09-07/IMG_1147.JPG" caption="Outside, we finish that beautiful white wine from yesterday." >}}
  {{< gallery-photo fn="2024-09-07/IMG_1148.JPG" caption="A weird stink-bug with white legs shows up on my chair. He is a cutie!" >}}
  {{< gallery-photo fn="2024-09-07/IMG_1150.JPG" caption="Marina wants moar: I bike over to Coop on my own (!) Stromer and get eight more bottles. 50% off! Yaay!" >}}
  {{< gallery-photo fn="2024-09-07/IMG_1151.JPG" caption="Our salami-and-gurkin, and cheese-and-onion. So Dutch!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
