---
title: "Week 7, Friday: the Thirteenth"
date: 2024-09-13T20:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/noraenpure-05.png" alt="Credit: Nora en Pure, YouTube" >}}

This morning we got up at 09:00 after a great night's sleep. I boot up the morning program and make
some coffee for myself and Marina. Mom and Dad already made some coffee and are hanging out on the
couch booting their respective morning program as well. At around 10:00 Dad makes a few soft boiled
eggs and bread. After the breakfast, Marina and I go to Albert Heijn for just _one more time_, to
get a few supplies for our further Roadtrip to Jubbega. We buy what we need, and then we also buy
about four times more than what we need, and we call it done. We mosy back down to my parents' place
and have a quick lunch at 13:30 - Marina wanted to nibble on a few _Worstenbroodjes_ so, of course,
we got this food.

The trip to Friesland from here is just under 200km (125mi), and we can do it without charging the
car. Driving on the Dutch _Autobahn_ is mind numbingly boring, as the maximum speed is 100km/h
(60mph), and it's all just flat and straight highway roads from Eindhoven all the way up there. We
pass Nijmegen, Arnhem, Zwolle, Meppel and then into the waterlilly county. The Frysian flag consists
of blue and white stripes and seven red _Pompebl&ecirc;den_ (Dutch: water lilly leaves), symbolizing the
seven counties of the province. Underway we even manage to snap a picture of the "Wolkom in
Frysl&acirc;n", although it's not a very good roadsign!

We make one stop only, in _Wolvega_ which has a fancy v4 supercharger at a local Van Der Valk hotel.
I rock up to the stall, and across from me there's a car with Sankt Gallen plates - booyah all the
way up here I would not have expected to see a swiss car! It's a nice hotel, and we take a walk
around it to find that it's near a small nature reserve with a little lake with swans and a beach
(Full of swan poop, SMH!) but the sun is shining and we take a walk around the lake, and along the
neighborhood here in _Wolvega_, after which we go into the hotel and drink a tea. The tea selection
here is nice! We get a little scoop and a selection of six infusions and teas.

The nice thing about taking a little walk and drinking a little tea is that the battery is fully
charged at 420km (260mi) or so autonomy, which will allow us to do our short trip to _Franker_
tomorrow, as well as get us most of the way back down south to Brussels on Sunday. With the charging
out of the way, we make the last 15 minute drive from _Wolvega_ to the _Jubbega_ metropole, and very
quickly find [[De Koppenjan](https://dekoppenjan.nl/)], which is a camping and pancake house. I walk
in and announce myself as Pim, and I'm immediately greeted as "Oh, Arend's buddy from Switzerland". 

We are taken to our glamping vehicle for the night, there are three refurbished old waggons here,
one blue, green and one red. We are staying in the green one, it's called a _Pipowagen_, and has a
double bed, kitchenette, couch and so on. Perfect for the night! In the 'front yard', there are a
few picnic tables, and we're missing just one main ingredient of success: apero-material. Off we go,
to the local _Plus_ grocery shop and we emerge with a bottle of tawny port from _Offley_, some
cheese, olives, and sliced sausage. Perfect!

Marina sits outside with me and we both enjoy the tranquility, the serenity of this camping site,
and the ap&eacute;ro. We have a dinner reservation at 19:00 but for about 45min, we make the best of
our wait - for me, I write my journal for yesterday, and for her, she draws a sketch of the bowling
pins in Eindhoven for her summer sketchbook. When 19:00 rolls around, we make our way to the
Koppenjan resaurant, and inside my eye is immediately met by Arend! He's sitting at one of the
tables with friends (or family maybe?) Certainly Esther is there and we say our hello's. It's been
since 2021 since I last saw Esther, and a little bit less long ago that I had dinner with Arend and
the Coloclue folks.

Arend is going to help Esther and co with a pubquiz tonight at 20:00. They are wrapping up their
dinner with some coupes Dame Blanche, and then they leave to the bar next door, as we are enjoying
our pancakes. Marina has a classic _Koppenjan_ with ham, cheese, onions and bellpepper; while I have
a more esoteric _Ajam_ which is with chicken sate and a salad. It's really good food!

After dinner, we make our way into the completely packed bar next door. The Pubquiz is just about to
start, but it's a bit competitive it seems, as all the tables and groups are all ready to go and
there's no "adhoc" signups. That's OK, we'll just play along from the side lines and see if we can
guess the right answers. The theme is "Back to School", likely because the schoolyear is just
starting. In total there are nine rounds with eight questions each. We play the first six rounds and
don't feel terrible about our performance, but we did not get the questions about Frysian grammar
quite right. As usual, we laugh at each others' brain farts, and during one of the breaks Arend
comes to say hi. They are also doing well with their group - and we root for them as we take off to
our little _Pipowagen_.

At our room for the night, I write the journal entry for today while enjoying a few Trappiste beers
from Rochefort, my all time favorite. Marina finishes her bowling-pin drawing, and as I reach over
to the swiss army knife to open the bottle, she reminds me: you have like eighty bottle openers with
you! And thus:

{{< video src="/media/vdo/IMG_1268_23.27.19.mp4" >}}

_Skol_, or shall I say: _Tsjoch_!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-13/IMG_1238.JPG" caption="In the morning, Marins thinks its a good idea to try on my sunglasses. She looks like a state trooper cop, just as much as I do." >}}
  {{< gallery-photo fn="2024-09-13/IMG_1239.JPG" caption="For lunch, we have a frikandellenbroodje from Bakker Bart. I did not like it as much, but I did not hear complaints from Marina!" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1241.JPG" caption="Here's our route from Best, NL to Jubbega, FRL" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1242.JPG" caption="The 'Wolkom in Frysl&acirc;n' sign when entering Friesland" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1243.JPG" caption="The meadow around the Van Der Valk in Wolvega is super nice today" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1244.JPG" caption="We take a walk around the pond at the hotel in Wolvega" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1248.JPG" caption="The tea selection at Van Der Valk is tasty! And well prepared/served." >}}
  {{< gallery-photo fn="2024-09-13/IMG_1251.JPG" caption="An overview picture of the three Pipowagens, we're in the green one in the middle." >}}
  {{< gallery-photo fn="2024-09-13/IMG_1252.JPG" caption="The inside of our green and cozy Pipowagen in Jubbega, Friesland" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1256.JPG" caption="Our aperitif today is a selection of olives, meats and cheese; paired perfectly with a good glass of tawny port." >}}
  {{< gallery-photo fn="2024-09-13/IMG_1258.JPG" caption="A half-selfie of us enjoying the last sunrays of the day and our port and charcuterie" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1260.JPG" caption="The Pannenkoekenhuis at De Koppenjan has all sorts of sweet and savory pancakes." >}}
  {{< gallery-photo fn="2024-09-13/IMG_1262.JPG" caption="After dinner, the PubQuiz is the place to be - it's very competitive and the questions are in the theme 'Back to School'" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1264.JPG" caption="A question in the PubQuiz: Which canal connects Amsterdam with the North Sea. NO SPOILERS!" >}}
  {{< gallery-photo fn="2024-09-13/IMG_1265.JPG" caption="My treat for the evening - a Rochefort 10, trappiste beer" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
