---
title: "Week 7, Saturday: Eise and FrysIX"
date: 2024-09-14T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/ixosound.png" alt="Credit: IXO Sound, YouTube" >}}

We arrived yesterday at the beautiful town of Jubbega, and after a good nights rest in the
_Pipowagen_ at the campingsite across the road from Esther and Arend, this morning we both woke up a
little bit early by means of a biological hint - I had to pee but the inside of the cabin was about
5 C and the bed was super warm and cozy. So at 06:00 I decided to deny my bladder its request, and
managed to doze off for another few hours. Then at 08:30, Marina and I both woke up with an
_Alarmstufe Rot_ situation, and my bladder was describing its situation to me as critical: more like
a waterballoon about to be yeeted off the roof of a building. We manned up, and shivered our way to
the toiliet building just up the road.

But, after the deed was done, the beakfast was a lot more relaxing. Yesterday morning, we already
pre-cached our groceries for the trip: filet americain, goudkuipje (_Plastique Fantastique_), some
bread, and a bottle of freshly pressed orangejuice. Nando and Christel had added a little box of
coffee grounds, so we were up and running very quickly. Breakfast was very quaint, and tasted
absolutely perfect for the morning, with exception of the orange juice, which was verifiably gross.

Our mission for the morning was to visit a special place a few kilometers west of here: Franeker.
There, one _Eise Eisinga_ build a contraption, literally in his livingroom, about 250 year ago he
had the billiant idea of building a _planetarium_ with all the (at that time, known) planets, the
moon, and our star, the Sun. They all revolve with meticulously crafted gears and pulleys in the
ceiling and attic of the house, and to this day it still runs off oa tick-tock mechanical clock, has
the correct position of the celestial bodies, and is an absolute goreous masterpiece. Our tickets
were for 11:30 and we arrived in Franker (_Frjentsjer_ in Frysk), and made our way around the tiny
town, over bridges, alongside the market place, the church, and so on. It's nice that they have so
much water here to enjoy, there was a kayaking gentleman in the water, and some boats were moored as
well. The sun was out, and the walk around town was super nice.

On the way out of _Eise Eisinga_'s Planatarium, we mosied our way over the farmer's market and
smelled a very familiar smell: _vietnamese loempias_ (Deep fried Vietnaese Loompia), so we queued up
and got ourselves one each, to tie us over until lunch. When back at the car, I got to tick another
bucket list item off of my own list: viist _Zurich, Friesland_ (or, _Surch_ as they say here). This
is a sleepy town of maybe a few hundred people, and I'm sure every now and again they have a
`ZH-579668` style tourist in town. I also went there really only for one thing: to take a selfie at
the "Welcome to..." sign.

From here though, I convinced Marina to accompany me into a local roadstop on the north side of the
A7 _Afsluitdijk_ (the closure dike, that encloses our water called _Ijsselmeer_). Here, we both
ordered a sandwich, even though really what I wanted was a broodje kroket, Marina managed to guilt
shame me out of it [a thing I am certain she will vehemently deny]. The _broodje gezond_ was super
good though, and after a refreshing and low-calory lunch, we made our way back to Jubbega.

## The Barbecue

Yesterday we did see the tent in Arend's back yard, but today there were these big wobbly-guys with
the Frysian _Pompebl&ecirc;d_ wobbling around, and also Arend had put a few FrysIX flags in the
front yard. You couldn't miss it! This event was going to be great, I could already tell, beacuse
there was a nice sunshine out, the tent was enough to keep us dry and warm if need be, there was a
bar and a set of barbecues, and just arriving there made me incredibly happy.

There were about seventy or so people, mostly Dutch, but there was also a Belgian contingent (heh,
more than just Marina), a French equippe, and even a Norwegian delegation, including an export Swiss
slash import Finn. Such a group, with so many stories and fun times were had by all.

A few months ago I visited my buddy Niels and Yulia in Wormerveer for a [[Fusix](https://fusix.nl/)]
podcast, and I thoroughly enjoyed recording that episode. Today, Fusix were there with their gear
and Sonia, too. They were going to take a few ideas and concepts and noodle on a set of recordings
throughout the day. I had the absolute pleasure of going first, and we talked about IPv6, which was
_supposed_ to last a few minutes, but I think we generated about fourty minutes or so of chatter.

We emerged from the ad-hoc studio at 16:30 or so, after the recording. Niels and I rewarded
ourselves with a _Pintje_, and that marked the start of the party portion of the barbecue. Marina
and I had brought a few congratulatory cards which we asked people to sign, in return they got a
FrysIX pin with a magnet and bottle opener. Those are the pins that you've seen me write about
several times before on this sabbatical blog :-)

I put my 22 remaining IPng.ch beersteins into the circulation, and reminded folks that they were
absolutely free to steal these. I am not planning on taking them back home with me. Beer, sodapop,
wine, water and tea/coffee were serves in large quantities, and at around 18:00 the smell of a
firing up barbecue made my salivaglands explode (much like the bladder this morning) and a good 45
minutes later, a delectable set of cold and warm dishes materialized. Omms were nommed.

The evening continued and Arend made a really nice speech which really did emphasize that this is a
community with lots of folks with lots of different experiences and expertise coming together to
just share a little moment of their life together in this tent in -- let's just be honest -- the
middle of nowhere in beautiful picturesque Jubbega.

At about 21:00 I get tapped on the shoulder, by Niels, because he's magicked up another topic for a
podcast: open source radio and routing and its relationship to commercial and merchant silicon
vendors. With my VPP and libvirt/proxmox/asterisk experiences, this topic is near and dear to me:
it's fun to disrupt vendors who used to be king on the hill with application specific ASIC/FPGA, but
now being caught up, and sometimes even surpassed by, fully open source and no-license solutions to
the same problems. We have a really cool conversation about Open5G systems, radio towers, 4G/5G/LTE
telephony, all completely facilitated by open source. We were joined by Joran Osinga, who has built
and shown/documented most of this stuff in practice, radio and all.  It was a really nice
conversation, in part also because the "Fusix Studio" had a heater in it, and the temps started to
drop in the yard :) Joran and I agreed on-the-spot, that FrysIX shall also offer IPX peering
services for mobile-core telephony, and he and I will interconnect my house with his house. This
way, I will have roaming in at least one small spot in the Netherlands when I visit next.

At aount 22:30 or so the "main event" was over and we seemlessly transitioned to the _After Party_,
with a smaller group of people, mostly those who have a hotel or _Pipowagen_ nearby. Instead of the
tapped Heineken, we moved to bottled Hertog Jan, and still had copious amounts of sweet white wine,
so Marina was certainly not left behind. Speaking of left behind, some of our compatriots started to
visit the strugglebus, (not me, of course!) and overall the stories got stronger (definitely me!)
and the mood got jollier as time past. Then, Nando rocks up after his shift at the pancake joint
across the street (Remember this: [[De Koppenjan](https://dekoppenjan.nl/)]). In the end, it's 03:30
and we kill it.

It's god impossible to get a taxi or uber at this time of day, at this place in Jubbega. New plan:
We put the frenchmen on some bicycles, and let them peddal their way to their respective hotels.
From Job we understand that they've all more or less arrived, and there are no casualties.  Mission
accomplished!

We crawl our way to the Pipowagen and take a good snooze. Thank you so much, Arend and FrysIX, for
the truly remarkable and cozy hospitality. Best BBQ, ever.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-14/IMG_1270.JPG" caption="The breakfast we made for ourselves in the Pipowagen at De Koppenjan." >}}
  {{< gallery-photo fn="2024-09-14/IMG_1275.JPG" caption="The car is well at home in Franeker, Friesland." >}}
  {{< gallery-photo fn="2024-09-14/IMG_1276.JPG" caption="The waterways around Franeker are serene and beautiful." >}}
  {{< gallery-photo fn="2024-09-14/IMG_1277.JPG" caption="The planetarium is just across the road from the old townhall in Franeker, Fryslan." >}}
  {{< gallery-photo fn="2024-09-14/IMG_1281.JPG" caption="The Martini Church, but I don't think it's that specific Martini ... " >}}
  {{< gallery-photo fn="2024-09-14/IMG_1292.JPG" caption="An overview of Eise Eisinga's beautiful hand-made mechanical planetarium" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1294.JPG" caption="We visited Zurich, Friesland specifically so we could say: 'yeah, we drive from Zurich to here, it was 45min'." >}}
  {{< gallery-photo fn="2024-09-14/IMG_1296.JPG" caption="Our not-kroketten, but declicious broodje gezond and broodje geitenkaas in Zurich, Friesland" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1299.JPG" caption="Back at Jubbega, our Pipowagen is as beautiful as ever" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1301.JPG" caption="I hand over 72pcs of 3TB hard disk to Tim, for a project he's working on. Second life!" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1307.JPG" caption="The recording in the Fusix studio with Niels and Yulia. Such fun talking to these guys!" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1310.JPG" caption="Arend had conjured up (hehe) a magician. Even though we were still sober, and we could see he was indeed fidgetting with ropes, he *sill* managed to confuse us with his trickery. Chapeau!" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1311.JPG" caption="Arend takes the stage for a semi-rehearsed speech (with notes and everything!)" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1314.JPG" caption="Marina and I are a little bit jealous of the Frys-IX logo on Arend's car. All I got was a picture of a fox in a mountain." >}}
  {{< gallery-photo fn="2024-09-14/IMG_1316.JPG" caption="FrysIX was gifted this 32x100G nokia switch by Niek. Thank you so much on behalf of all new and upcoming members!" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1317.JPG" caption="A Proost in the IPng.ch steins, we had quite a few of these cheers-moments." >}}
  {{< gallery-photo fn="2024-09-14/IMG_1318.JPG" caption="Marina does her best Nora en Pure impression, in the hoodie with the beautiful blonde locks over her shoulder. 💜 💜 💜" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1319.JPG" caption="A collection of congratularoty cards, signed by the FrysIX community" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1320.JPG" caption="Joran does what he does best: enthuse an audience about Open 5G and telephony" >}}
  {{< gallery-photo fn="2024-09-14/IMG_1322.JPG" caption="Niels and I are amazed at this conversation which is chock full of technology which feels 'similar, but adjacent' for us IP and Ethernet nerds." >}}
  {{< gallery-photo fn="2024-09-15/IMG_1323.JPG" caption="After midnight, this stolen F16 afterburner was used, and the tent was toasty shortly after." >}}
  {{< gallery-photo fn="2024-09-15/IMG_1325.JPG" caption="Arend's cute kitty came to stop by - he and I are besties now." >}}
  {{< gallery-photo fn="2024-09-15/IMG_1328.JPG" caption="And just like that, the beautiful party was over and the tent was empty. Byebye, friends, until next time!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
