---
title: "Week 8, Monday: Brussels to Nancy"
date: 2024-09-16T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/mayanwarrior.png" alt="Credit: Mayan Warrior, YouTube" >}}

We had a great night's sleep in Andrew's guestroom in Brussels. At about 10:00 we got out of bed
(finally!) and did our morning ritual. The coffee was a _Moka Pot_ this morning and it was really
strong, and therefore approved. Eimear made a few croissants, which I do not think were qualifying
as _Gipfeli_, but they helped with the overall wakeup process.

At around 11:00 I asked if the group would like to eat spaghetti, which is perhaps for some a
strange breakfast / lunch, but for Marina most definitely is not, and she immediately knew what I
was looking to book: [[Pee Klak]](https://www.indepatattezak.com/)], which is ironically named _In
de Patattezak_ (English: In the potatobag). It's ironic because you can only order three things
there: Spaghetti with Bolognaise, or with ham/cheese sauce, or with seafood. And you can order this
dish either 'h&uuml;ge' or 'sm&oslash;l'.

A&E had never heard of this place before, but when Marina used to live in Machelen, it was a very
common destination. Back then, every chair in the place was different, and people would be lining up
for several blocks to get their desired fix of pasta and bolo [also, back then: spaghetti with or
without sauce, that's the choice]. The group quickly convinces itself this is worth an effort, so we
grab the car -- fully charged at this point -- and make our way up north to Stroombeek-Bever. We get
there at a cozy 11:57 and there's already a few folks ready to enter. At a few minutes past (this is
not Switzerland, after all), the door opens, and we're quick to sit down, touting our reservations!
Not five minutes later, thirty or more people are sitting at their tables, it's as if they emerged
out of thin air.

We order the pasta, and it's served mere minutes later: when you only serve _one dish_, it's really
easy to prepare ahead of time. It was godly, and I thoroughly enjoyed the whole bowl. I can tell the
others did, too, because after fifteen minutes, most of it was inhaled. We gave up our table at
12:30, belly full, on cloud nine, and made our way back down to the apartment to drop off Eimear and
Andrew. What a lovely time we had, thanks guys!!

We however, need to be on our way back to Br&uuml;ttisellen. We could likely do this in one day, but
we've purposefully decided to do a slow trip home and relax a bit after this weekend of partying. So
we punch _Nancy_ in the navi, and there's a little Ibis Budget almost next to the supercharger
there. We also get to visit _Luxembourg_, a quaint little country between Germany, Belgium and
France.

In the car, we get a DM from Quinn who has phys-ed today. He is not happy and the selfie shows it.
We, however, are plenty happy so we send a dual-selfie back from the car. I'm wearing some nice
yellow shades (meant for night driving), and I think it makes me look like _Walter Sobchak_ in [[The
Big Lebowski](https://www.imdb.com/title/tt0118715)], a classic movie that Marina, to this day, has
flat out _refused_ to watch. Tsk!

We arrive at Luxembourg and it - of course - has a Supercharger in a huge shopping mall. We park the
car in the mall, Marina is upset that we have to pay for parking, but I am actually quite pleased.
There's a whole battalion of v4 superchargers here, so we plug in and go shopping. Of course we go
shopping :) and we get a little bit of dinner for tonight. We plan to just hang out at our totally
basic Ibis Budget, watch TV, and eat cheese and sausage and breat with butter, and drink iced tea.
It's a good plan.

Apart from a little bit of traffic as we roll down the A31 from Metz to Nancy, things go pretty well
for us. We arrive at the hotel at about 17:30, check in and see our cute little room. We always have
been punting on watching that "dramatic" t&ecirc;te-a-t&ecirc;te between Harris and Trump, and we
decide that now is a good time to catch up on our internet memes: American politics. What a
veritable shitshow. Politics in general has degenerated so much in to slander, lies and ad-hominem
attacks. This was no different, and I can't say I was impressed with either candidate. It's a good
thing I do not have to vote :) But, the food was delish, and at 22:00 or so we turned off the lights
for a good night's sleep.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-16/IMG_1345.JPG" caption="Andrew and Pim hang out on the couch at @yourtch's place" >}}
  {{< gallery-photo fn="2024-09-16/IMG_1346.JPG" caption="We offer Andrew and Eimear a lunch at Pee Klak in Grimbergen (Stroombeek-Bever). Eimear stole it from us and paid while Marina was on the toilet - thanks again!" >}}
  {{< gallery-photo fn="2024-09-16/IMG_1347.JPG" caption="Pee Klak is well known in Brussels for his Spaghetti Bolognaise" >}}
  {{< gallery-photo fn="2024-09-16/IMG_1348.JPG" caption="We are chipper in the car driving down south through Belgium to Luxembourg" >}}
  {{< gallery-photo fn="2024-09-16/IMG_1349.JPG" caption="Arrived in Luxo city, there's a mall with a huge battery (heh) of v4 chargers. We get 110kW here, booyah" >}}
  {{< gallery-photo fn="2024-09-16/IMG_1352.JPG" caption="Driving from Luxembourg to Nancy there's a bit more traffic due to roadworks" >}}
  {{< gallery-photo fn="2024-09-16/IMG_1354.JPG" caption="Our spread for the evening - cheese, sausage, bread, tomato, olives. We watch the presidential debate. I'm thankful there will be only one of these ..." >}}
  {{< gallery-photo fn="2024-09-17/IMG_1359.JPG" caption="Marina bought these totes adorbs Pav&eacute; d'Affinois Mini (but I think they're rather Micro)" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
