---
title: "Week 8, Tuesday: Quinn made us dinner"
date: 2024-09-17T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/9T9_DnB.png" alt="Credit: 9T9_DnB, YouTube" >}}

Marina had a terrible night, it seems. She kept on waking up, then it was too warm, so she turned on
the AC, which made a lot of noise. All in all, I did not manage to notice much of anything, as I
slept through the whole night with only one quick bathroom break in the middle somewhere.

At 09:30 we bounce from the hotelroom. I still think it's cool that you can get hotel rooms for
budget prices, as I don't need all that fancy stuff that I don't use anyway. I'd personally rather
pay &euro; 63,- for the room and _know_ that it'll be simple, than that I pay &euro; 350,- and feel
I'm being ripped off all the way. This is my kind of place!

The day was actually quite light on excitement. We drove from Nancy through the Elsace into Basel,
and had a chuckle as a car in front of us was trying to weave their way into the 'shorter' of the
two lanes at the border, while we decided to stay in our 'longer' lane and make a little chicane
through the border crossing; but _they_ got flagged and had to have a chat with the popo, while
there was nobody on the 'longer' lane. So once again: taking shortcuts is not always smart!

In Basel we switched drivers just one more time, and I chauffeured us the last leg home, where we
arrived at around 13:00 or so. Our driveway was blocked by some semi truck with a trailer and a
*lot* of mud. It turns out, they're rebuilding/refurbishing the playground in the neighborhood
behind ours, and it seemed easier (for them anyway) to use our street to gain access to it. But,
Marina walked into the ground-zero and quickly emerged with a coffee drinking brother, who moved the
truck so I could pull into our driveway. No harm, no foul!

We unpacked our stuff, had some lunch, and then I went downstairs. First of all, to finish the
journal entry for the day-before-yesterday (Yes, all this traveling is taking its toll on my
timing!) but also to do a little bit of nerd-prep:

*   I have these two nice _Checkpoint_ 48x25G + 8x100G switches, but they refuse to load the
linux switchdev driver, so I spent a few hours messing around with `mfa2` and `mstflint` and
`mlxfwmanager` and such. My buddy Vlad gave the correct tip: just download the flash from a working
switch, and then burn it with `mstflint` while allowing the tool to change the PSID (== device SKU).
Result: two new Debian running 48x25+8x100 in my stash. Yaay!
*   Tomorrow I get to deploy IP-Max at the Stollen datacenter in Lucerne, and I still have a bunch
of ASR9001s (including one that I took out for a spin a few weeks ago). They need to be staged,
cables and things arranged, so that tomorrow morning I can shuttle it all to Lucerne for a smooth
deploy.

I spend the rest of the afternoon doing these things, and as well preparing the IPng equipment for
the site: One VPP router (Dell R630, 2x25G, 4x10G, 2x1G); One Hypervisor (Dell R730, 2x10G, 2x1G,
256GB memory and 3x3.84TB enterprise SAS); One Centec switch (8x1G RJ45, 8x1G SFP, 20x10G SFP+,
8x25G QSFP); and One APU6 out-of-band with WiFi. That's my "standard issue" point of presence and
it's going to be super fun to bring this all up. I boot the machines and give them their IPMI and
management IPs in _IPng Site Local_, connect them together, and tidy up the configs. These should be
'shoot and forget' tomorrow.

By the time I'm done with these configs, so is Quinn. Such a sweetheart, he has promised to make us
dinner tonight, to welcome us home! His dishes are a pasta with caramelized onions; and a lukewarm
potato salad with vinaigrette. He aces it, and it is absolutely scrumptious. I take seconds and
embellish a little bit with thirds: it's _that_ yummy, that I forgot to take pics!!

After dinner, we hang out on the couch and watch one _Black Mirror_, and at 22:00 or so, I turn in
for the night as I need to trek to Luzern tomorrow with a stack of computer and network gear with
Fred. I can't wait!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-17/IMG_1357.JPG" caption="The totallu cute micro Pav&eacute; d'Affinois that Marina used for breakfast" >}}
  {{< gallery-photo fn="2024-09-17/IMG_1359.JPG" caption="The very last picture of the car with IPng sticker - it's coming off before we hit the Swiss border!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
