---
title: "Week 9, Monday: Oslo to Nydalen to Oslo"
date: 2024-09-23T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/noraenpure-06.png" alt="Credit: Nora en Pure, YouTube" >}}

Ruh'roh! Overnight, my buddy Ole texts me that he's not going to be able to make it to Oslo today.
Although that sucks, I do hope he can make it tomorrow to NONOG because _somebody_ has to answer all
of those VPP questions and it surely isn't going to be me! OK, change of plans: instead of doing a
light breakfast and a lunch together with Ole, we do a big breakfast and hit the town. Our plans now
become: visit the Nobel Peace center and the National Art museum just next to it.

The walk over to _R&acirc;dhuusplass_ (English: Townhall Square) and arrive there at just before
11:00. Whoops, the Nobel Peace center opens on... Tuesday. And a double whammy, as the National
Museum _also_ does not want us around on Mondays. I feel like I understand why Garfield does not
like Mondays, there goes our morning plans!

Marina makes a Plan C on the spot - let's go to the Opera house and the Munch museum. I channel my
inner _Scream_ and follow along. Right back whence we came, past the hotel and the train station we
walk along the waterfront to the white operahouse. It's a stunningly beautiful building and it has
people crawling all over its rooftop. I convince Marins to accompany me to the top of the building,
which is a sloped walk up "I don't like uphill!". The views from up here are pretty nice. There's a
[[DFDS](https://dfds.co.uk/)] ship in the harbor and juxtaposes the hazy autumn day which is trying
to paint a serene picture of the city. From the rooftop though, we can see the
[[Edvart Munch](https://www.munchmuseet.no/en/)] museum. And we make this our next $dest.

As we walk down the roof of the Opera house, we take a quick look _inside_ as well. This building is
really clever, and grandiose wooden structures line the insides. But, we're off to the place where
Munch's art is on display. I really want to know how to pronounce this name, so the first thing I do
in the museumm is find an audio guide in Norwegian which teaches me: [ˈɛ̀dvɑɖ ˈmʊŋk] (simplified
English, think of "Ed-vart Moon-ck"). Although not all of his work speaks to me, I did like the
audio-visual presentation with [[Arif](https://de.wikipedia.org/wiki/Arif_(Rapper))] did work well
for me, as did the interactive display in a darkened room consisting of 10 ror so sections each with
one red object in them. Interact with the red object, and something audio-visual would happen. We
also found a bunch of mice hiding out. A+ for that exhibition.

In the main hall we find Munch's masterpiece _The Sun_, which was commissioned for Oslo university.
There's also - in my opinion - a very powerful display of his work _The Scream_, of which not one
but three originals are shown, except: only one is shown at a time. Each thirty minutes, one window
closes and another opens. There's the black and white litho which was open when I walked by here,
and there's also two paintings which other visitors will get to enjoy. 

At 14:00 we exit the museum, having had our fill of art for the day. I suggest that we go have our
spaghetti now at the Spaghetti hall across the street, but FML, it's closed on Mondays. I sense a
theme here. But Marina knows that the place we were originally going to have lunch at - the
Cathedral Cafe - is both open and has pasta. Off we go, and we do enjoy a Carbonara and a Marinara.

We're now ready for plan D. Marina found a river North of here, the _Akerselva_ which bares the same
name as the fortress. We debate for a while how far along this river we want to walk. For me,
starting at the lake (_Maridalsvannet_, 11km) is good. For her, _Nedre Foss_ (4km) is a better
choice. Compromise! We take the train to _Nydalen_ (7km) and start our little walk along the banks
of this river and see a few waterfalls, lots of people out and about. There are some old buildings,
a few statues and parks, and absolutely gorgeous weather. About one hundred minutes and 7.3km later,
we arrive at the Oslo trainstation. That was a great walk!

We make our way to the hotel and I take a nap until 17:30 or so, after which we watch some TV
together. I get to eat noodles tonight, and at 19:00 we walk around the corner to Genji, a japanese
restaurant. The food here is great - we start with sashimi and a special "Japan meets Norway" with
an A5 Wagyu strip topped with salmon tartare, which was very nice. Then we both have a noodle soup;
I take Tonkatsu and Marina has a Tantanmen. I am content with my noodle-fix!

We finish the evening watching [[Atomic Blonde](https://www.imdb.com/title/tt2406566/)] on TV with
Charlize Theron alongside John Goodman. It's a nice watch, not too complicated which is good for our
brains as we're both tired. Tomorrow at 08:30 I will go to NONOG which will be at the [[Domus
Bibliotheca](https://uio.no)] which is about 1km from here. I should turn in, and thanks to all that
activity and good noodle action today, I am expecting a really good night's sleep!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-23/IMG_1510.JPG" caption="A downtown architecture on the corner of Kongsgate and R&acirc;dhusgate in Oslo" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1513.JPG" caption="The Nobel Peace center, which is closed on Mondays. Behind it, the National Museum, which is ALSO closed on Mondays :(" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1516.JPG" caption="The Munch museum as seen from the roof of the Opera house" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1517.JPG" caption="A selfie of Pim, Marina and some Bjird on the roof of the Opera house" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1520.JPG" caption="The inside of the Opera house, a large wooden struccture showing the concert hall" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1521.JPG" caption="The Opera House as seen from the 11th floor of the Munch museum" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1528.JPG" caption="The little mice displays hidden in Munch's artwork" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1531.JPG" caption="The Sun, a mural painting commissioned by the Oslo University." >}}
  {{< gallery-photo fn="2024-09-23/IMG_1535.JPG" caption="The Scream, perhaps Munch's most famous painting. Here: a lithography" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1536.JPG" caption="Marina is sitting in R31 up north to Hakadal. We're going to Nydalen" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1537.JPG" caption="Downtown Nydalen has a color-coded map of the town" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1538.JPG" caption="In Nydalen, the river Akerselva flows towards Oslo" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1543.JPG" caption="A bronze statuette called Fabrikkjentene by Ellen Jacobsen in 1986" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1546.JPG" caption="A waterfall of Akerselva in Torshov, just north of Oslo" >}}
  {{< gallery-photo fn="2024-09-23/route.png" caption="The route we walked today (and this 7.25km was after the 5km in the city itself). We feel energized!" >}}
  {{< gallery-photo fn="2024-09-23/IMG_1549.JPG" caption="The sashimi at Genji in Oslo, just around the corner from our Thon hotel." >}}
  {{< gallery-photo fn="2024-09-23/IMG_1550.JPG" caption="The Japan meets Norway: Wagyu A5 with salmon tartare; at Genji in Oslo" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
