---
title: "About this website"
date: 2024-07-28
menu:
  main:
    name: "About"
    weight: 255
---

{{< contact-box >}}

Hi! I'm Pim and I'm writing this on Sunday July 28th of 2024.

As of today, I've been working at Google for about 18 years now. I started in 2006, and have had
the most wonderful time so far! In the Summer of 2024, I decided to take a little break. Thanks to
the awesome support of my manager and the teams I work with, my request for a Sabbatical was
approved and the date set for the 29th of July through the 3rd of November, just over three months
of time off.

If you follow on any form of social, you'll know that I like to write. My website 
[[IPng.ch](https://ipng.ch/s/articles/)] is full of nerdy stories. But this website serves a
different purpose. Because a sabbatical is something that not many people have the privilege to be
able to do, and because I plan on doing only one of these in my life, I've decided to mark my
travels with a little story and some pictures of every day of my time off.

I've done this before, notably learning from my mom. When we used to go on vacation, she would
scribble little stories of the day in a notepad, and I would sometimes help out with that. After I
left the house, I kept up the habit in my own travels. Here's a few examples:

*   2010: Roadtrip from New York to Los Angeles -- [[Travel Blog](https://2010roadtripnyla.weirdnet.nl/)]
*   2013: Roadtrip to the UK and Ireland -- [[Travel Blog](https://2013roadtripukie.weirdnet.nl/)]
*   2022: Roadtrip to the North Cape -- [[Travel Blog](https://2022roadtripnose.weirdnet.nl/)]

When I was in Norway I hiked Besseggen, which was a truly majestic albeit physically rough
experience, it took us about 10 hours. I had hiked this trail may times before, and I remember this
one time that I hiked it alone as a teenager, and it not being ... as long. So I called my mom, she
sifted through her travel journals, and read back to me the log entry of me getting up at 6am and
returning to the campsite at around noon. This logbooks and journals mean a lot to me personally,
and from time to time I will float away and re-read the 2010 New York to LA roadtrip, or the fun we
had at the Swindon Roundabout in 2013, or indeed, the hike to the Real North Cape in 2022.

This is why I've decided to write about the things I plan on doing during my sabbatical. I do expect
to read it in the future, just as I have done the other journies I took the time to document. The
site, in other words, is more for me than it is for you, but you're welcome to read along :)
