---
title: 'Monday: First Day!'
date: 2024-07-29T22:12:53+02:00
Tags: []
Categories: []
draft: false
---

## Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/kushsessions.png" alt="Credit: Kushsessions YouTube" >}}

This morning I put the alarm at 08:30 -- you should know that normally I go to bed quite late, as I
finish work at 22:00 or so, take some time to wind down, maybe drink a glass or two of vino, watch
some Netflix, and before I know it it's 02:00. But yesterday I went to bed early because of all the
schlepping I did in the basement. More of that today!

Marina and I gathered some stuff around the house (not only my basement, I swear!) destined for the
dump. We decided to drop that stuff off first, and then visit the local IKEA for some shelving or
storage space, because the junk that is in my room, I mean the junk that is not junk, will still
need a place to live.

After a quick breakfast I started loading stuff into the car, and we managed to stuff it completely,
old matrass and all, and made our way to _Remondis_, where I threw away north of 50kg of old
computer gear, cables, chargers, and some old metal slingshot that I built for an RC flying wing
once, and whatever else that was recycleable. With the remainder, which still managed to be a grand
total of 51kg, we paid the guys, and they hauled it off into /dev/null for us.

Off to the IKEA - did you know that the main reason they sell you CHF 1,- hotdogs at the end, is
that psychologically, if you end a task on a positive note, you are more likely to remember the task
positively? Well, sucks for us, because (A) we made our way through the entire IKEA maze, (B) ended
up buying *way* more stuff than we came for, and (C) did not eat the hotdog because they are utterly
gross. But, a few hundred Francs later, and I was the proud owner of an assortment of Kallax
shelving. That'll come in handy, to store all the non-junk junk that I have laying around in heaps
all over my room. Remember: the _reduce_ phase of my MapReduce is still ongoing!

## Afternoon

We get home for lunch and eat some leftovers. Quinn needs to bolt as he has an appointment with a
tattoo artist, and he's all excited for that. I retreat to the basement and go hard assembling the
furniture. I do it without yelling (there's nobody to yell at), and besides, I have an electric
screwdriver with high torque, so I don't need to screw all those things by hand. Life saver!!

There's a bit of moisture on the ground sometimes in the basement, and I think this is maybe because
we removed like 10 trees from the backyard, and those trees tend to suck up a lot of groundwater per
day. So I'd rather not put the Kallax directly on the ground. I make a run around Jumbo to get a few
rubber feet for it, and am very pleased with my results.

At 2pm I have a quick call with my buddy Hugo and we talk about LACP/MLAG, OSPF and BGP. He just
bought two Arista switches (7060SX2-48YC6), and so did I i(7280SR-48C6), so we compare notes for his
new network design. It was a fun hour, but now work beckons, and I don't want to spend my whole
Sabbatical cleaning up my basement :)

I finish the shelving, and it looks schmick. Now that I have the space, the _reduce_ phase goes
really quick. I help Fred a little bit with an Ansible issue for his NGINX cluster at IP-Max, but
an hour or two later and (almost!) everything is in its final place. If there was a law that
goverened how many containers and _d&ouml;skes_ one is allowed to have, I'm pretty sure I am
breaking it. But with everything in its own little _d&ouml;ske_, the place looks good as new, and
I am very proud of my first few days of work here!

## Evening

I *love* warm weather - any temperature between say 15C and 30C is great for me. Marina is a bit
more ... picky, and she likes it in the wide dynamic range of 22.1C - 22.4C, anything warmer than
that, and a torrential rain of complaints is emitted. Anything colder than that, and she donns a
sweater, pullover, jacket and mittens. I love her though, and especially today because she made
me dinner! Because it's warm, she has decided to make a gorgeous salad, with lots of mixed toppings,
some dressing, home made croutons (which I baked!) and some nicely seasoned chicken. 

After dinner, Quinn takes a shower and we hang out outside for a little bit. When he comes back, we
watch a few episodes of Stranger Things -- we're in S04E03+04, and Vecna is being quite the asshole.
At about 10pm, Quinn turns in for the night, and I go downstairs to enjoy the cool air in the
basement, grab myself a bottle of Rioja, pour a glass, and write my little story for the day, while
listening to [[KushSessions](https://www.youtube.com/watch?v=Fjl6A8gKDBw)] on YouTube.

Small bummer, the Mac Studio never came! I checked on the tracking, but it said that it was being
handled for damaged packaging, with new delivery date tomorrow. _Le Sigh_! I will have to keep my
two monitors powered off for one more day as I type this on my laptop.

Tomorrow morning I'll bike to NTT R&uuml;mlang for IP-Max, to patch in a new Swisscom CES link, so
we can migrate customers from Equinix ZH04 to NTT instead. Also, Fred ordered two new 10G links from
NTT to Stollen - a really cool datacenter in Luzern that we're moving in together in September. More
on that later!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-07-29/IMG_0410.JPG" caption="A bin with 51kg of rubbish from my basement" >}}
  {{< gallery-photo fn="2024-07-29/IMG_0417.JPG" caption="A fresh set of Kallax shelves from IKEA" >}}
  {{< gallery-photo fn="2024-07-29/IMG_0418.JPG" caption="The Kallax shelves partially built in my serverroom in the basement" >}}
  {{< gallery-photo fn="2024-07-29/IMG_0421.JPG" caption="While waiting for the Mac Studio to arrive, writing the blog post on my laptop, but with wine!" >}}
  {{< gallery-photo fn="2024-07-29/IMG_0422.JPG" caption="The serverroom storage space is ready for use!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}


