---
title: 'Wednesday: Roasted Chicken'
date: 2024-07-31T21:12:53+02:00
Tags: []
Categories: []
draft: false
---

## Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/deecamu.png" alt="Credit: Dee Camu YouTube" >}}

I woke up before my alarm at 08:00 this morning - yesterday was a bit of a shorter sleep so I
thought I'd probably spend more time booting, but my body was ready to go - it helps that I didn't
imbibe yesterday -- except for the one Mattei we had. Morning ritual was pretty straight forward, a
sandwich with a few cups of coffee, and then off to the dump again to bring a second load of junk
from the basement. This time it was only recyclables, cardboard, some batteries, metal and lots and
lots of power, serial and network cables. I am not kidding when I say I had north of 200 or so RJ45-DB9
Cisco serial cables in a box. I say: had, off they go - _Marie Kondo_ would be proud.

I also have two large boxes of aging lithium batteries down here - that's going to change now. I'll
bring a few ones that are somewhat P. Diddy to the dump later, but for now I'm sorting them into
usable / unusable stacks. Oh, and when we moved in, I "temporarily" stored a P-40 Curtiss plane
[[ref](https://en.wikipedia.org/wiki/Curtiss_P-40_Warhawk)] in my basement. This thing is pretty
big, wingspan is 1'700mm, with landing gear, flaps, 6S with 60A ESC, the works! I should really fly
this thing some time. But for now, it's moving to the garage - I took a picture of it against the
hedge, it's really a nice one - see it fly [[here](https://www.youtube.com/watch?v=gtFSkkF9dCs)].

I'm planning quite a few trips over the summer - last week we visited Helsinki, and further I'm
going to go to Eindhoven and onwards to Jubbega, the Netherlands, I'll spend a few days in Luzern,
Switzerland, then I'm off to Oslo, Norway, immediately followed by Paris, France (after their
hangover from the Olympics, I hope), but then also to Piacenza and Milan, Italy, a party in Geneva,
Switzerland and finally a trip to Amsterdam and Almere (and probably Eindhoven again), in the
Netherlands. To plan the logistics, I made this paper printout of the months, so I can scribble my
notes before settling on travel dates and who comes with (sometimes, I will travel solo, sometimes
with Marina, and sometimes with Quinn and Marina). I'm very much looking forward to those trips! But
in August, I'm planning on mainly staying home. I took a picture of my scribbles.

## Afternoon

I ate a cheese melt with a cup-o-noodles for lunch. Quinn gave me the packet and I had a surprise
because I was expecting chicken, but it was curry flavored. I thought you'd like to know. Then I
went back to my underground lair (I did not find Dr. Evil there!) and mested out my closet, once
again finding cables and things that, 20 years ago, I thought maybe could ome in handy some day.
Notable finds: a set of SCSI cables, a parallel ATA ribbon cable, a few dozen SATA cables and power
splitters, and a dozen or so fans and power supplies for PCs that I will never build again, and if I
will, they will have changed :) for now, Summer (a 😍 HP Pro Mini 400 G9) and Jessica (the 🥰 Mac
Studio from yesterday) will be all I need&trade;.

There is one thing that I wanted to show, though -

```
jessica:~ pim$ traceroute6 hvn0.nlams3
traceroute6 to 2001:678:d78:506::2 from 2001:678:d78:50b::32, 64 hops max, 28 byte packets
 1  msw0.chbtl0.net.ipng.ch  2.155 ms  2.082 ms  2.113 ms
 2  msw1.chrma0.net.ipng.ch  1.932 ms  1.846 ms  1.792 ms
 3  msw0.chrma0.net.ipng.ch  2.086 ms  1.733 ms  1.894 ms
 4  msw0.defra0.net.ipng.ch  7.518 ms  7.535 ms  7.607 ms
 5  msw0.nlams0.net.ipng.ch  13.580 ms  13.657 ms  13.585 ms
 6  hvn0.nlams3.net.ipng.ch  13.017 ms  12.777 ms  12.849 ms

pim@hvn0-nlams3:~$ iperf3 -c jessica -P 10
...
[ ID] Interval           Transfer     Bitrate
[  5]   0.00-10.01  sec   351 MBytes   294 Mbits/sec                  receiver
[  8]   0.00-10.01  sec   266 MBytes   223 Mbits/sec                  receiver
[ 10]   0.00-10.01  sec   283 MBytes   237 Mbits/sec                  receiver
[ 12]   0.00-10.01  sec   298 MBytes   250 Mbits/sec                  receiver
[ 14]   0.00-10.01  sec   339 MBytes   284 Mbits/sec                  receiver
[ 16]   0.00-10.01  sec   256 MBytes   215 Mbits/sec                  receiver
[ 18]   0.00-10.01  sec   280 MBytes   234 Mbits/sec                  receiver
[ 20]   0.00-10.01  sec   270 MBytes   226 Mbits/sec                  receiver
[ 22]   0.00-10.01  sec   326 MBytes   273 Mbits/sec                  receiver
[ 24]   0.00-10.01  sec   227 MBytes   190 Mbits/sec                  receiver
[SUM]   0.00-10.01  sec  2.83 GBytes  2.42 Gbits/sec                  receiver
```

I *love* IPng Networks' AS8298, and I *love* my carrier IP-Max - having a private 10G network from
my basement through Zurich, Frankfurt to Amsterdam is really fun. I know it's a bit of a
humble-brag, but I know many people who have 10ms of latency to their cablemodem headend. For me,
it's 12.7ms end to end to a hypervisor running at Equinix AM3 in Amsterdam. It's just plain
delicious!

The other day I received two
Arista 7280-SR-48C6 switches, which I'm eager to test. Also, David from GOWIN sent me a 19" rack
mountable unit to compare notes with the [[R86S](https://ipng.ch/s/articles/2024/07/05/r86s.html)]
that I tested a while ago. Once this cleaning is over (and, cautiously I think it will be over
tomorrow, which I'm happy to prove with a video!), I think I'll do some playing around with those
machines, but I will post my findings on the IPng site, not here. Separation of concerns, and all
that.

Back to cleaning - I applied some cable management to the rats nest of power, network, fiber and USB
cables at my desk. I'm happy with the result - I took a picture, maybe you agree? In the closet
where I found the stone aged computer parts, I also found an assortment of bags of screws - some for
PC motherboards (which, once again, I do not think I will ever use again, so I trimmed them quite a
bit), some for disk caddies, or SSDs (because why would you use the same screws ...), lots of
chassis screws for Supermicro, and a few kilograms of assorted 19" cage nuts and screws. I sorted
them all into little baggies, which took a surprising amount of time.

## Evening

I biked over to IKEA one more time to fetch another set of _Dr&ouml;na_ boxes - I really like them
as storage containers, and they fit snugly in the Kallax. Even if I put 220V C13/C14 cables, or
network cables in them, they still visually close the shelf, so it doesn't look as chaotic. I bought
another eight of them, for a grand total of twelve now in the basement. Six of these will go at my
computer desk, which has two nice 4K screens attached to a 3x4 Kallax as well. I guess you could say
that my desk and serverroom are now a matching pair. At IKEA, I take the shortcut, through the
cashiers you can to directly to the hall to pick up the stuff, I was in and out in a matter of 10
minutes, which was nice.

I got home and the sunny afternoon was replaced with clouds that were dark and gloomy.  Marina and I
were going to take a walk to the next town over, Dietlikon, to get our _Schweizer G&uuml;geli_
(rotissery chicken), but she warned of oncoming bad weather - we looked on the radar, and it would
be a very bad idea to walk home in the pouring rain with a few roasted chickens, so instead we drove
to pick them up. 

I made _R&ouml;sti_ and Marina/Quinn prefer _Ofenkroketten_ (for reasons beyond me). We nommed on
the chicken, and it rained a little bit, not quite as much as the radar had predicted. So after
dinner, we took our chances and Marina and I took a little walk down our town, we took a look at the
55 new apartments they're building down the road. I'm not sure I like them... and then over the
fields back home, when we got to our street, we saw a kitty lounging on the side walk. A walk around
town is not complete without a _kittycat_, so we said hi to each other. She was super friendly, and
gave us both attention for a few minutes, and then got bored of us and took off. Thanks, Mrs Kitty!

We watched one episode of Stranger Things - in Season4 they are getting quite long (the one we
watched was 1h41m), after which Quinn said his goodbyes, and Marina and I watched another series
that we started the other day: _Dear Child_, in original language (which is German). Considering
_Forbes_ said it is not worth watching, that's exactly what we will do. For now, I think it's
intriguing enough to continue.

At 22:30 I went downstairs to enjoy a little bit of liquid drum and bass by Dee Cam&ugrave; on
YouTube, notably [[this set](https://www.youtube.com/watch?v=ZJoLKS4t5yw)].

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-07-31/IMG_0444.JPG" caption="This P-40 Curtiss Warhawk has been in my basement since we moved in - can you believe it?" >}}
  {{< gallery-photo fn="2024-07-31/IMG_0446.JPG" caption="I'm using a paper calendar to scribble my travels; lots of fun places to visit" >}}
  {{< gallery-photo fn="2024-07-31/IMG_0447.JPG" caption="I folded the laundry - a bunch of M, L and XL IPng polos, they are pretty schmick!" >}}
  {{< gallery-photo fn="2024-07-31/IMG_0448.JPG" caption="When I clean, I CLEAN! I have sorted a few thousand screws, small, medium, large, cagenuts+bolts, and so on. It was worth it, cathartic!" >}}
  {{< gallery-photo fn="2024-07-31/guegeli.JPG" caption="These swiss chickens are to be eaten with R&ouml;sti Kroketten, at all times." >}}
  {{< gallery-photo fn="2024-07-31/IMG_0450.JPG" caption="After dinner, Marina and I took a little walk through our neighborhood" >}}
  {{< gallery-photo fn="2024-07-31/IMG_0451.JPG" caption="We saw a kitty, and she was very friendly, we both spent a few minutes hanging out with each other, and then she got bored and took off!" >}}
  {{< gallery-photo fn="2024-07-31/IMG_0453.JPG" caption="Cablemanagement! I've rerouted all cabling of Summer and Jessica, and I am pretty happy with the results!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
