---
title: 'Thursday: Basement Done'
date: 2024-08-01T20:38:28+02:00
Tags: []
Categories: []
draft: false
---

## Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/kushsessions-02.png" alt="Credit: KushSessions YouTube" >}}

I got up really late this morning, and this is in part because I went to bed really late yesterday.
I don't really remember what time I went to bed, but I did see a git commit at 03:04, so it would've
been around 03:30 or so that I hit the pillow. As such, my operating system booted up at 11:00 this
morning, just in time for lunch :-)

Marina celebrated Heli (our _Pogona Vitticeps_ or commonly known as _Bearded Dragon_), who today
turns nine years old! She got a nice flower from the garden which Heli gratefully gobbled up. Heli
was even so kind as to pose for us with the flower, so Marina took a picture. The bearded dragon
will get to be between 10y and 15y old, but she's still doing just fine!

In what was left of the morning, I took to the ginormous stack of hard disks that I had accumulated
over the years. Many of them are 1TB and 2TB disks from back when I lived in the Netherlands. I
don't know or particularly care what data is on them - I am long since using SAS-12 and enterprise
SSDs, so I make the decision to de-hoard them. There's about 200 hard disks in Dell caddies here.
That's four screws per disk, or if I'm lucky (which I am not), there may be three screws on one or
two of them. I sort them in 1T, 1T, 3T (the lion's share), 4T and 6TB disks. I decide to keep 12 of
the 3TB, 4TB and 6TB disks. My buddy Tim says he'd like to give the 3TB disks a new life in a
nonprofit he's involved in, so I cordone off 72 disks for him. That suites me fine, because I don't
particularly look forward to schlepping these disks to the dump.

## Afternoon

I drank a fair bit of _vino_ yesterday, and what's better to recover from such an activity than
bacon and eggs? I make myself a couple, on toast bread. Marina and Quinn eat left over pasta. After
lunch, I feel like I'm starting to wake up -- it's a good thing that I spent an hour or two
sleep-disk-dismantling. That makes the rest of the disks pretty quick by comparison.

When I'm done, I drive off to the dump in Dietlikon, only to find that, today is August 1st, a bank
holiday in Switzerland. In 1291, Switzerland became a federation when three lords signed a treaty
called the _R&uuml;tlischwur_. They were from the canton of Uri, Schwyz and Unterwalden.
Twelve-Ninety-One, that's a long time ago!

Anyway, I arrive at the dump which is usually open from 10:00 - 17:00, but it's closed now. However,
this is Switzerland, so for a slick price of CHF 5,00 I can open the gate and do my business. I
drop off a few megatonnes of hard disks, and a dozen or so lithium batteries. Another of my wins for
this cleanup is that my basement will no longer be a home to a few hundred LiPo batteries. Sergio
would be proud!

When I come home, I decide to call my Mom and Dad, and we have a jitsi talking about all sorts of
stuff. They're doing well, and it's good to see them. I intend to visit them in September, and
they're going to visit us back in December as well. I'm already looking forward to hanging out with
them in the Netherlands.

{{< image frame="false" width="5em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}

As I'm in the call with my parents, Marina comes to see me, and she is pouting. "I did an oopsie"
she says carrying in a towel a plastic device of sorts. she broke off a green lever of the plunger
of the upstairs basement while she was removing a bunch of caked on calcium, all in service of
trying to stop the toilet from leaking. No problem! While I continue the chat, I grab some epoxy and
fix the lever to its spot. Side quest done! Later, when Marina uses it for the first time, the green
lever immediately breaks off again. So now we can both claim we did an oopsie! Not to worry though,
because the green part is not used in our toilet at all, so we end up tossing the whole part and
living happily ever after.

## Evening

For dinner -- Quinns idea -- we have tacos. Except, in our house we actually never really eat tacos,
but rather these soft shell little boat thingies (which Marina does not like as much, but Quinn and
I love just to compensate for her). It's quickly prepared and also quickly devoured. I just toss a
whole heap of stuff into the boat, poor thing, it will never float with all the ingredients I put
into it. I then end up taking a knife and fork to it to just eat it like that. The second boat is a
bit less excessive. It was good grub, even if the picture doesn't do it justice.

After dinner, I go downstairs with a mop and a bucket of soapy water. Now that my workroom and
serverroom are both _completely_ done, I get to remove the wicked cooked on dirt and grime with a
good mopping! And I do love me a good mopping! The water comes out not grey, or darkbrown, just
black. It's really gross, and I hate to admit it in writing, but this is the first time in eight
years that I mopped the floor. I make myself a promise to not weight eight years for the next one!

But after this last finishing touch, I decide to make video proof of what I've done! You can see the
primordial soup that was my room on Sunday in this [[init post]({{< ref "init" >}})]. But without
further ado, here's the room now, I even opened one of the closet doors to prove that I didn't just
stuff the whole shebang in there, it wouldn't have fit anyway. Here goes:

{{< video src="/media/vdo/IMG_0469_0.mp4" >}}

To celebrate, Marina asks me if I want to go say hi to the _Floofchickens_, which is a little
chicken coop in a farmyard about a kilometer from our house. We visit the _Floofs_ very often, but
this time they're already inside, so we finish our loop -- me on Crocs, which was a bad idea because
the path in the field is not paved, but rather has gravel. Every now and again, one of those pebbles
either gets into the Croc, or it sticks through the sole and that does ouchie!

After the evening stroll, we watch our almost last episode of Stranger Things Season4. The kids are
about to catch Vecna, but I won't spoil it for anybody out there who hasn't seen the series yet.

At 22:30, Tim and I have a quick chat on Telegram regarding his visit to Switzerland. It was
originally going to be in early September, but Marina's parents are visiting us in that week. So we
made another attempt, and settled on Sep 30 - Oct 4. That's gonna be so much fun! I hope to get the
Cessna cockpit from Saitek up and running again on XPlane or MS FSM. It'll be nice to just hang out
and shoot the breeze.

Then there's one more thing to note - the very first Centec switch I bought in 2021 for IPng Networks,
from Starry Networks, with an uptime of about two years, suddenly crashed a few weeks ago, but came
up again. I thought nothing of it, but then the other day Rancid started e-mailing me that it could
no longer retrieve the config, and I could no longer log in with SSH. Whoops! On the serial console
I saw that the filesystem somehow made itself read-only. I mailed Raphael from Starry Networks who
replied the next day with a possible remedy. I can drop into the _bootrom_, load an image from TFTP,
and reformat/reimage the flash, and put the license file and `startup.conf` back. That's exactly
what I did, starting at around 23:15 and lasting for 16 minutes or so. I should've asciinema
recorded the session, but I forgot and took a screenshot instead :) The Centec switch came up just
fine, and the procedure that Raphael had suggested worked. I hope that the switch stays happy now!

I turned in at around 01:00 today. Good night!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-01/20240801_111752.jpg" caption="Heli hatchday, Marina gave her a nice flower which she gratefully gobbled up!" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0455.JPG" caption="I found 200 or so hard drives in my stash, I removed them all from their caddies" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0457.JPG" caption="Many of the hard drives are from 2004-2008, and only 1TB or 2TB -- I'm going to destroy these" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0458.JPG" caption="But some are 3TB and Tim wanted them, so he will come pick them up in October" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0459.JPG" caption="Lunch: bacon and dippy eggs, and they were yummy" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0460.JPG" caption="After lunch, I finished the stack-o-disks, here there is a bunch of 4TB, 6TB and 3TB disks. And lots and lots of caddies" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0461.JPG" caption="Marina broke a part of the plunger in our bathroom toilet; I tried to epoxy it together again" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0462.JPG" caption="The 90min epoxy is curing (but, it immediately broke again as this plastic is not easy to glue this way)" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0463.JPG" caption="For dinner, I greedily ate a taco-boat (hidden under this enormous mound of minced beef and veg and fake squirty cheese" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0464.JPG" caption="The sunset was really nice, we took a walk to the Floof chickens (who were already sleeping when we got there, unless we accidentally ate them yesterday?)" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0466.JPG" caption="Selfie of Marina and I walking into the sunset. It was a lovely evening!" >}}
  {{< gallery-photo fn="2024-08-01/IMG_0468.JPG" caption="We watched Stranger Things S04E07 on TV, after which Quinn turned" >}}
  {{< gallery-photo fn="2024-08-01/switch.png" caption="I am recovering a Centec S5648X switch which had a read-only filesystem. I reimaged it over TFTP and it came back up cleanly!" >}}
  {{< gallery-photo fn="2024-08-01/workroom.png" caption="Speaking of clean -- just take a look at this gorgeous workroom where you can actually see the floor again!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
