---
title: 'Friday: Sushi and Dougie'
date: 2024-08-02T22:27:18+02:00
Tags: []
Categories: []
draft: false
---

## Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/dancekowski.png" alt="Credit: Andre Dancekowski at H&ouml;r Berlin, YouTube" >}}

Yaay, overnight Tim has committed his travel and will be staying at my place from Sep 30 through Oct
4, and he'll be taking the night train over - so grab your laptop and a movie or two, Tim, and I'll
see you before then at the FrysIX barbecue on Sep 14th. I'm looking forward to visiting Jubbega in
the beautiful province of Friesland in the Netherlands. For some reason, I made it to 2am again
yesterday, after writing my journal entry - I made some spicy noodles and added some extra spices.

This morning I woke up to a second burn, and because I did not set an alarm, it was about 10:30 or
so when I woke up from the beeping sounds of the mailman delivering packages downstairs. No packages
for me today, although I am expecting one from Digitec tomorrow. 

We were going to have lunch at Bagle Boys in Oerlikon, but Quinn can't make it beacuse Liv is coming
over. It's all mayhem on the rails though, as some train has ripped through the electic overhead
lines and made some gnarly damage. It's easy to take for granted, but we do have an electric railway
system here. No stinky (and loud!) diesel guzzling trains over here! Because of this stressful bit,
Liv will be at our place later, so Marina and I decide to jet.

## Afternoon

For me the day starts at Yooji's in Glatt Zentrum, a local shopping mall a few kilometers from where
we live. Marina wants to do some _specialy_ shopping, getting those types of ingredients and
condiments that you can't find at our local Coop or Migros. But considering it's lunch time, we
treat ourselves to some sushi at Yooji's. Marina marvels at the variety of dishes on the
sushi-train, that are normally not available when we go there at dinner time. She quite enjoys
herself, including taking home three Mochi (green tea, vanilla and Oreo) for later.

I come home and remind myself that I was going to be baking bread during my sabbatical. I start two
starter cultures from a little bit of yeast I had lying around in the fridge. Why buy blocks of
yeast, if you can keep an evergrowing culture? I create one and lovingly call it Dougie. I used to
have a california sourdough culture called Dougzilla, but sadly he got infected a few years ago, and
I tossed it. This one only has to last for a few months though.

Downstairs I am reminded of another (somewhat more annoying) thing: the reason why I have this
clothing closet in my basement workroom. Marina wanted to get rid of it when we moved into the
house, mostly because its drawers kept on drooping open. But for a storage cabinet in my room, I
thought it was _not just good, but good enough_ (hoi, North of the Border!). Now is the time to fix
that shit! I whip out Fusion360, and I grin seeing how blazingly fast this runs on the M2 Ultra with
24 cores and 64GB of memory. I draw a few pieces that are supposed to hold 20x10x2mm neodymium
magnets. They are quickly printed and while the second batch is printing, I bike over to Jumbo to
get some smaller 2x10mm screws, as I dond't want to push through the drawer fronts. Back home, the
print is finished, and the drawers are quickly magnetically closed and tucked away.

{{< image frame="false" width="5em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}

But what is this I see? Crap, junk and more debris in all of these drawers. Something in me is a bit
addicted to cleaning up by now ... so I decide to weed through all of these things, and find eleven
24V power bricks (for Mikrotik's CRS305 switch), a bunch of LSI raid and IT _HBAs_ from when I was
scratchbuilding my storage tanks, a few dozen NICs (including a few 25G and 100G ones, nice!), and
many many, many patch cables. I do the nerdy #OCD thing and sort each cable by type (multimode,
singlemode), connector (LC/PC, SC/PC, LSH/APC, and MPO) and length (I have 50cm, 1m, 1.5m, 2m, 2.5m
and 3m). I also make note of a few attenuators which I just *knew* I had, but at some point lost
track of. Nice work, Pim! Of course, this takes way longer than I had originally planned to spend
time on, but a good few hours later, and every cable is accounted for and sorted. 

## Evening

Liv is still hanging out with Quinn and she'll stay for dinner. Marina and I cut a boatload of
green stringbeans, and we're smug because we got a few sausages from our local Coop -- they have a
promotion where you get scratch tickets to _win_ stuff. So our protein tonight will be at a good
rebate -- as a proud Dutchman I can't say I would reject free stuff. Hah, maybe that's why I had so
much crap in my basement?

We make dinner and chat with Quinn and Liv at the table. I like Liv, she's chatty and funny. After
dinner, I drive her to Winterthur train station because there are still delays beacuse of the
overhead powerline failiure earlier today. I make my way to the station, kick her out, and Quinn and
I make the 15min drive back home. We watch the penultimate Stranger Things episode, and when Quinn
takes off (trying to re-adjust to early wakeup after his vacation break), Marina and I watch one
more episode of _Dear Child_ on Netflix. The plot there is thickening!

I make myself a mug of tea from the house of _Mariage Fr&eacute;res_, a brand of tea that my buddy
Fred introduced me to when we were in Paris last year. It's super delicious! While I listen to
_Andre Dancekowski_ at the H&ouml;r in Berlin, I first do a little bit of feature work on this
website: I add a Hugo _shortcode_ for Asciinema, so that I can simply host any asciinema recordings
directly on the site using a tag like `{{</* asciinema src="/foo/bar.cast" */>}}` and see it
automatically load the player and so on. I'm slowly starting to learn the ropes in Hugo, and I
intend on replacing Jekyll with it on [[IPng.ch](https://ipng.ch)]. So far, I am very pleased with
the elegance and simplicity, although the templating language is taking a bit of getting used to.

It's now 23:35 and I've finished with that feature and written the article for today. Tomorrow I get
to cash in my _Bagle Boys_ raincheck, and we're also going out to dinner at night, sort of a
celebration at the end of Quinn's vacation. Maybe tomorrow afternoon then I will take that GOWIN
rack mountable N305 router (with 2x25G, 2x2.5G and 3x1G + POE) out for a spin. I paid the import
duties for it, after all :)

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-02/IMG_0474.JPG" caption="Marina and I went out to lunch in Glattzentrum, we had sushi from Yooji" >}}
  {{< gallery-photo fn="2024-08-02/IMG_0475.JPG" caption="I had a bit of sashimi, which was really tasty" >}}
  {{< gallery-photo fn="2024-08-02/IMG_0479.JPG" caption="This drawer is the reason why Marina gave me this closet, some 8 years ago. It is time to fix this bug! While I was here, I weeded through all 8 drawers, sorted the contents in keep versus toss, and ended up with two empty drawers!" >}}
  {{< gallery-photo fn="2024-08-02/stopper.png" caption="I drew a few magnet holding brackets in Fusion360" >}}
  {{< gallery-photo fn="2024-08-02/IMG_0480.JPG" caption="And then I printed a few magnet holding brackets on the Prusa Mk3" >}}
  {{< gallery-photo fn="2024-08-02/IMG_0481.JPG" caption="Some one hundred fiber optic cables, many different lengths, multimode and singlemode, MPO as well as just normal LC/PC and some older SC/PC and E2000 cables." >}}
  {{< gallery-photo fn="2024-08-02/IMG_0482.JPG" caption="I sorted all of the SMF patch cables in lengths, from 50cm, 1m, 1.5m, 2m, 2.5m and 3m in length" >}}
  {{< gallery-photo fn="2024-08-02/IMG_0483.JPG" caption="While I was working, I also started a yeast culture, lovingly named it Dougie, and intend to bake some bread in the upcoming period!" >}}
  {{< gallery-photo fn="2024-08-02/IMG_0484.JPG" caption="With the magnetic drawer stoppers in place, and all the cables sorted by length, I am done with this task." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
