---
title: 'Sunday: Fabulous Hamburger Buns'
date: 2024-08-04T20:21:19+02:00
Tags: []
Categories: []
draft: false
---

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/edsolo.png" alt="Credit: Knvckle Ed Solo, YouTube" >}}

This morning the planes from Kloten airport were taking off in a non-regular direction - normally
they will take off away from our house, but this morning they were flying right over us. That arrose
me from my slumber at about 08:30. 

After my morning bootstrap ritual, I made my way downstairs because I have only two tasks today:
1.  Loadtest the Gowin N305 router that I got sent to me; and
1.  Make the best hamburger buns that ever were, or will be; and
1.  Start moving ipng.ch from Jekyll to Hugo.

In the morning, I start the loadtests, which each take about one hour and I need to do four of them.
I hang up the 19" rack mountable machine in the lab rack where there's a few 100G loadtesters
available. I only need to source/sink 2x25Gbit today, so I grab a breakout cable, connect it to the
spiffy 32x100G Mellanox switch -- that runs Debian by the way -- and start the loadtests. One each
for a ConnectX-4 and ConnectX-5 network card, each tested with DPDK and RDMA.

The last loadtest starts just as we leave for _Bagle Boys_ to have the lunch we didn't have
yesterday. I drive over to Oerlikon with Marina and Quinn, and we order. Marina is a bit
diasppointed because she wants the lunch special but with modifications, and the lady behind the
counter is not having any of that. So she ends up ordering a bagle instead (well, duh, we're at
_Bagle Boys_!); Quinn orders pulled port, and I go for a sliced turkey one. They are super yummy, as
always.

# Afternoon

Coming back home, I finish the loadtests and work my way through the report. I end up publishing it
on the [[IPng website](https://ipng.ch/s/articles/2024/08/03/gowin.html)] and make some noise on
Twitter and Mastodon about it. I get a little bit of an endorfin release when the likes, +1's and
boosts happen. My watch taps me on the wrist for every one of those. There's quite a few!

At about 14:00 I walk up to the kitchen and start the hamburger bun procedure:
*   500g floUr
*   275ml milk
*   50ml of Dougie
*   20g butter
*   10g salt
*   one egg

I let Dougie, the butter, milk and the egg sit for 20min in the proofing oven, at 30C. This warms
them up enough to let the butter get softer and Dougie get excited for the work it has ahead of it.
I kneed the dough in the machine (because believe it or not, I find sticky dough ickie!), and after
a nice coherent ball of stretchy dough is made, I let it rise for two times one hour. At 15:30 I go
turn the dough and fold it on itself, to let it rise for the second hour.

{{< image frame="false" width="6em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}

Meanwhile I start the sidequest (or perhaps today it's the main quest?) of moving my three year old
Jekyll site to Hugo. My buddy Michal introduced me to Jekyll when I first started the
[[IPng.ch](https://ipng.ch)] blog. It's a nice environment, and very extensible, but it keeps on
pulling in more and more Ruby gems, some of which have already been decommissioned / abandoned. I've
kind of always felt that this would be a deadend. Meanwhile, Hugo is a single executable Go program
with everything built in.

I decide that the goal for today is to move the skeleton of the IPng website to Hugo, not the
articles, yet. So I create a copy of this _Sabbatical_ website, and kneed, push, and pull on it
until it looks very similar to the IPng website. I added a preliminary screenshot in the pictures of
today, below.

When the dough has risen, I dump it on the kitchen top, cut it into eight equally sized 100g boules,
fold them onto themselves, and roll the balls into buns. I spray the buns with water, and sprinkle
sesame seeds onto them. I spray the buns again to make sure the seeds stick.

Then, the eight boules go into the second rise, for one additional hour. This makes it 17:45 or so,
after which I pre-heat the oven to 210C and lob them in there for 18min. The kitchen fills with a
luscious aroma of freshly baking bread - my favorite smell in the world! *Ding*, the timer is done,
and I remove the absolutely gobsmackingly perfect hamburger buns from the oven. I take a picture and
send it to our family group chat. All this hating from yesterday: VINDICATION!

# Evening

Starting at 14:00 was because I figured it'd take roughly 4hrs from start to finish, and it is now
18:10, which is not bad! I cut some pickles, cucumber, tomatoes and fresh onion. Then, I fry four
beautiful beef patties that we thawed earlier. I bought a vacuum sealer after visiting my buddy
WEiRD, and we've been pre-sizing portions like chicken breast, pork sausage and beef patties. The
patties are fried very nicely, and a slice of chester cheese is put on them in the last few minutes.
We all make our own hambuger just the way we like it. I have two :-)

We take our dinner in front of the TV today, because the season finale of Stranger Things takes
2h22m and Quinn needs to get up at 05:00 on Monday for his apprenticeship. 5am, O'RLY?! So we nom on
the burgers in front of the TV, pausing the episode to quickly clean up after ourselves, then we
plop back onto the couch and beanbag to finish the show.

Once that's done, it's only 21:30 - perfect timing for Quinn; Marina goes upstairs and I walk
down to the basement to write today's journal entry. I'm tempted to continue hacking on the Hugo
transformation - it's curiously entertaining and I'm learning about
[[SCSS](https://en.wikipedia.org/wiki/Sass_(style_sheet_language))], which I wish I had known
earlier. In going through the differences in styling, I notice that Jekyll also uses SCSS. This
makes it a little bit easier for me to mimick the style.

Anyway, I'm going to try to solve one last problem, that of consistent URI naming. I don't want to
lose my search ranking on Google, Bing and Yahoo. Right now, if you type the query [vpp ipng] or
[debian mellanox], or most any other specific VPP query, my page is likely to be the top hit. I
don't want to invalidate that, so the requirement is that Hugo has the exact same URL naming scheme
that Jekyll has. I'll spend the rest of the _Ed Solo_ mix on YouTube puzzling that together in my
demo.

Tomorrow morning Marina and I are going to the Aligro - this is a cool but dangerous shop, as it has
lots of bulk packaged things like sweets, candies and booze. It's gonna be fun tomorrow! :)

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-04/IMG_0504.JPG" caption="The Gowin 19 inch rack mountable server has 2x 2.5G, 3x 1G and 2x 25G as well as RJ45 serial. It is a pretty cool machine!" >}}
  {{< gallery-photo fn="2024-08-04/IMG_0505.JPG" caption="The inside of the Gowin server is a small but very modern board, using an Intel i3-N305 with 32GB of LPDDR5 and a bunch of IO on board." >}}
  {{< gallery-photo fn="2024-08-04/IMG_0512.JPG" caption="The case is passively cooled, with a large heatsink over the CPU, its ribs are flush with the top of the case. I'm not sure how the dissipation is with a rack full of these ..." >}}
  {{< gallery-photo fn="2024-08-04/IMG_0513.JPG" caption="They added an OCP 2.0 breakout which can house any number of 1G, 2.5G, 10G, 25G network cards. Pictured here is the Mellanox ConnectX-5 with 2x25G." >}}
  {{< gallery-photo fn="2024-08-04/IMG_0517.JPG" caption="Brunch at Bagle Boys - our three bagles posed for a picture before being inhaled :)" >}}
  {{< gallery-photo fn="2024-08-04/IMG_0521.JPG" caption="Here is the kneeded dough ready for its first task. Like Alexander Hamilton, it will rise up!" >}}
  {{< gallery-photo fn="2024-08-04/IMG_0522.JPG" caption="The formed boules with sesame seeds, ready for their second rise." >}}
  {{< gallery-photo fn="2024-08-04/IMG_0523.JPG" caption="The baked hamburger buns, golden brown but not crispy -- Marina demands soft buns!" >}}
  {{< gallery-photo fn="2024-08-04/IMG_0524.JPG" caption="Closeup of a hamburger bun with sesame seeds, cut in half to show the breadcrum" >}}
  {{< gallery-photo fn="2024-08-04/IMG_0525.JPG" caption="My burger with salad, cheese, onions and pickles. It was godly." >}}
  {{< gallery-photo fn="2024-08-04/website.png" caption="A screenshot of the work-in-progress IPng.ch website in Hugo. It's looking really good!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

