---
title: "Week 2, Tuesday: Røde and Ariel"
date: 2024-08-06T19:21:19+02:00
Tags: []
Categories: []
draft: false
---

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/harrymack.png" alt="Credit: Harry Mack, YouTube" >}}

This morning I woke up with a cramp in my right leg - the calf was rock hard and could barely move.
I stretched the best I could and after a minute or so it ebbed away and I managed to stand straight
again. It sucks waking up like this!

In the morning we do some grocery shopping and we drop the car off at the charging station so that
it, too, can slurp its batteries full again. Yesterday was our _grote inkoop_ (our _big purchases_)
but we did not get all the vegetables and usual Coop groceries. One thing we think is fun, is to
compare the cost of _Aligro_ to that of _Coop_ for many of the items we bought. It's considerable!
For example:

*   Popcorn kernels are CHF 1.95 for a 100g bag. We bought 5.66kg for CHF 19.95!
*   Coca cola 0.5l bottles are CHF 1.05 each. At Coop, they are CHF 1.50!
*   Limousine beef is CHF 81,- per kilo. At Coop, it's about CHF 140,-!

When we came home, the mailman had visited! He plopped two packages; one of them has a Silhouette
Cameo 5 in it, and the other contains a R&oslash;de mic stand. Normally I get super excited when the
mailman comes and dash off to play with the new delivery. But today, I exercise patience.

# Afternoon

I bought three sizable leeks the other day, and I promise myself to turn them into a leek soup. I
have this recipe which is really tasty: leek soup with veal dumplings and blue cheese - in our case
I grabbed a block of Stilton cheese. I'm gonna make soup!

After the soup, Marina takes the Cameo upstairs to her workroom, and I go downstairs with the
R&oslash;de gear. It turns out, my studio mic, an NT-USB model, doesn't exactly fit on the micstand
as-is. I think maybe it had a few parts when I bought it two years ago, and I discarded the parts
"Who needs them anyway?!"-style. Not to worry, I know what needs to mate with what, so I take to
Fusion360 and draw myself a round bracket that fits the microphone, and offset a 3/8" thread for the
mic stand. My first print is a bit off, there's not enough clearance between the mic and the
micstand, so it can't swivel freely. So I make a small modification, and print two brackets, one for
use now and one as a spare. The mic arm works pretty well and has lots of degrees of freedom:

{{< video src="/media/vdo/IMG_0554_23.4.15.mp4" >}}

After this small task, I send Marina an IM asking her about Gin&Tonic. She answers "Not yet, cutting
with the Cameo", followed a few minutes later with "Failure. Booze!!", so I mix us some Blood Orange
tonic with Malfy Orange gin. I serve it with pitted Kalamata olives and some carrot sticks with
leftover hummus. We create some vitamin D in the yard, and enjoy the drink.

# Evening

We're eating running beans, _Cornatur_ veggie triangles and salted potatoes - a nice vegan meal to
close off the hard day's work and play. After dinner, Quinn is knackered and decides to go upstairs
to pass out gracefully. Marina and I watch _The Little Mermaid_ with Halle Bailey and she falls
asleep a little bit. The movie is allright, I've seen it before on an airplane some time ago. 

After the movie, I go downstairs to write my journal. Marina plays a little bit more with the Cameo
and manages to figure out how to print fiducials which makes the cuts much more precise. On my side,
I start cutting out the 2" circles from what Marina has printed this afternoon: eight pages with
each fifteen [[IPng.ch](https://ipng.ch/)] logos, which I bundle up in stacks of four and cut
through with a rather industrial 2" cutting mold she has. I love how much she has in the way of
random arts and crafts tools. I make quick work of the circles, but I decide to keep the button
presssing for tomorrow.


## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-06/IMG_0539.JPG" caption="I made a big pot of leek soup - we'll eat this with veal dumplings and stilton cheese - you'll see!" >}}
  {{< gallery-photo fn="2024-08-06/IMG_0548.JPG" caption="The mailman came, and delivered a Rode mic arm. It's really fancy, with springs and wire guides. But my mic doesn't ... fit" >}}
  {{< gallery-photo fn="2024-08-06/micbracket.png" caption="Off I go, in Fusion360 to design a mic bracket that can clamp on the mic and then has a 3/8 inch screw socket for the mic arm to grip." >}}
  {{< gallery-photo fn="2024-08-06/IMG_0549.JPG" caption="My first print was not exactly right - there's a bit of missing clearance so I redraw and print a second one (which is spot on)" >}}
  {{< gallery-photo fn="2024-08-06/IMG_0550.JPG" caption="We have an apero in the back yard with gin and tonic, kalamata olives and carrots with humus. It was delish!" >}}
  {{< gallery-photo fn="2024-08-06/IMG_0551.JPG" caption="After dinner, Marina and I watch Ariel (the 2023 version) - I saw it once on a plane but Marina hasn't seen it yet" >}}
  {{< gallery-photo fn="2024-08-06/IMG_0552.JPG" caption="The micstand and 3D Printed bracket are done. It sounds awesome, even if the mic is under the field of view of the camera :)" >}}
  {{< gallery-photo fn="2024-08-06/IMG_0553.JPG" caption="Another angle of the micstand. I like that it can be under the camera's view this way, with really good sound." >}}
  {{< gallery-photo fn="2024-08-06/IMG_0555.JPG" caption="Marina has printed a bunch of IPng logos on a template with circles, 2 inches wide. I'll cut in total 120 of these." >}}
  {{< gallery-photo fn="2024-08-06/IMG_0556.JPG" caption="The 2'' disks are quickly cut. Tomorrow, they will become pins and fridge magnets!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
