---
title: "Week 2, Thursday: OBS and FreeIX"
date: 2024-08-08T20:21:19+02:00
Tags: []
Categories: []
draft: false
---

But my story doesn't start when I get up! It starts before I went to bed yesterday.

# Yesterday Evening

{{< image frame="true" width="17em" float="right" src="/img/headline/flowvibe.png" alt="Credit: DJ Flowvibe, YouTube" >}}

I'm trying to figure out a way to have nice bread for breakfast (eh, brunch?) but without having to
wake up at ungodly hours to make it. One of the things one can consider is _prebaking_ the bread.
Have you seen those baguettes that look kind of weird and half-baked? I am going to try that!

Yesterday afternoon I made a batch of white-bread dough, from a good scoop of _Dougie_ (who is doing
fine, thanks for asking!) and a random trial recipe: 275ml milk, 1 egg, 550g of flour, and 150g of
Dougie-levain, 10g of milk, kneeded in the machine for 15 minutes and put in the proofing oven for
90min to ... wait 90min? At about 1am yesterday I ascend from my lair to remember: oh crap, I was
going to make bread!

What's a baker to do? I did what was right, and decided to forfeit some sleep: I punched the dough,
which was like 4x its normal size, back to 1x its size, formed two boules of roughly 500g each, and
patiently waited for the second rise (35min), after which I put them in the oven to bake for 40min
on 150C. This made them come out almost the same color, but some 20% larger than they came in. They
have been _prebaked_! So I felt like I could go to bed a happy little baker.

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/kushsessions-03.png" alt="Credit: Kushsessions, YouTube" >}}

Marina was up earlier than I got up today. She had taken to replacing the plunger in the downstairs
toilet, after having practiced on the one in the guestroom in the attic. I, having gone to bed at --
once again -- 02:30 last night, sleep in until about 11:00. No cramps this morning, and my left foot
feels like it's about to return to the land of the living.

I get up, make myself a cup of espresso, and start my morning ritual, feeling a little bit, but not
very much, guilty that Quinn got up at 05:00 to get to work by 06:30 and therefore has been hard at
work for an uncomfortably long time.

# Afternoon

I impatiently wait for Marina to finish the toilet plunger maintenance. She's running late, has had
breakfast (I have not), and I'm a bit hangry. I lob one of the _prebaked_ loaves of bread into the
oven for a _postbake_, at 225C fo 15min. It comes out magnificent, and the scoring with Marina's
gift - a new razorblade scoring knife - has done wonders. The bread smells good enough for her to
abort the mission and come have lunch with me. Mission accomplished!

After lunch, I take to cleaning the kitchen. Now that I'm a stay-at-home-dad, I think it's only fair
that I take part in the housekeeping! I give the whole kitchen a good scrub, including the
non-obvious bits like the cupboard doors and and the blue (glass based, so awfully
finger-print-aware) backsplash. It feels good and I have a sense of immediate satisfaction: whatever
else happens today, I did this project. It is clean.

But, I've kind of been holding off on a project for a loooong time. Now that I have this fancy Mic
boom, and previously bought an Elgato Facecam and Streamdeck, it's finally time to configure them.
For the greater part of the afternoon, I am in my happy zone: futzing around with the audio mixer in
[[OBS Studio](https://obsproject.com/)]. For me the most fulfilling is to tweak the settings of the
microphone, desktop audio, and monitor/output for audio called [[VB Cable](https://vb-audio.com/Cable/)]
and for video called [[OBS Virtual Cam](https://obsproject.com/kb/virtual-camera-guide)], just right! 

I ask Quinn if he can have a call with me to help me tweak the final bits of audio and video, which
works both on Peertube -- I can stream! -- as well as pre-recorded videos for publication, but also
real-time with Jitsi, Zoom and Meet. All tested, certified and work! Unfortunately the _VB Cable_
and _OBS Virtual Camera_ only work on Chrome-based browsers. That's OK though, for the video calls I
use Google Meet mostly, anyway.

# Evening

I am somewhat succesful, with a mic that can suppress the output from a desktop app (in my case, a
Youtube video playing in Firefox), including a bunch of scenes with layouts and camera angles, all
programmed into the Stream Deck (see pic below). I'm chuffed, to bits, and I record a victory video
showing off the configs and controls and (really beautiful, it really feels as if I'm in a
professional studio) audio and video that OBS provides:

{{< video src="/media/vdo/2024-08-08_20-30-06_20.35.18.mp4" >}}

At 22:00 I have a call with my buddy Alessandro from [[Naquadria](https://www.naquadria.it/)]. I
met him in Athens a few months ago and we really connected on account of my desire to connect local
IXPs together to make them more valuable to one another. I've written about this on my [[IPng
Blog](https://ipng.ch/s/articles/2024/04/27/freeix-remote/)], and Alessandro really wanted to
participate with his [[Piacenza IX](https://www.pcix.it/)] connecting it to my [[Free
IX: Switzerland](https://free-ix.ch)] in Zurich as well as the Greek variant [[Free IX:
Greece](https://free-ix.gr)] in Athens and Amsterdam. Naquadria got a connection to Interxion Zurich
where they will connect to IPng and its network of local IXPs in Zurich. It's going to be great fun!
This call was with Alessandro and his tech lead Leonardo. I really enjoyed the call- a combination
of local peering politics, a phiantropic desire to good by the _little guys_ on the internet
exchange scene, and pure technology on VPP, Linux, Arista, FreeBSD and other things

I left the call with Alessandro and Leo on absolute high. We're going to try to complete the FreeIX
Italy + Zurich interconnect project before the ITNOG meeting on October 8th in Piacenza. I'm game!

After the meeting -- which ended at 23:45, I quickly write up my journal entry for the day, finish
my glass of wine (Spanish, sorry!) and turn in. I think I'll sleep well tonight.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-07/IMG_0562.JPG" caption="The italian wine which I did not drink today (but yesterday, if that makes sense!)" >}}
  {{< gallery-photo fn="2024-08-08/IMG_0563.JPG" caption="At 01:30 I formed and set the boules into the oven for a second rise." >}}
  {{< gallery-photo fn="2024-08-08/IMG_0564.JPG" caption="At 02:15 the loaves have been baked for 40min at 150C, this makes them prebaked, and ready for a second final bake at 225C later. You can freeze them like this for months!" >}}
  {{< gallery-photo fn="2024-08-08/IMG_0565.JPG" caption="After baking one of the two loaves for 15min at 225V, it looks delicious -- and it turns out it also tastes that way" >}}
  {{< gallery-photo fn="2024-08-08/IMG_0566.JPG" caption="A picture of the finished loaf of white bread, simply crum with reasonable holes. I think I could get used to pre-baking loaves of bread and finishing them days/weeks after!" >}}
  {{< gallery-photo fn="2024-08-08/IMG_0568.JPG" caption="After lunch I spent an hour or so cleaning the kitchen. It is spotless when I'm done. Ironically -- and Marina tells me this often -- the spotlessness lasts for only a few hours. Once we cook and have dinner in it, it's already un-spotless again the same day..." >}}
  {{< gallery-photo fn="2024-08-08/IMG_0569.JPG" caption="The streamdeck with a first set of buttons and dials. The red labels are 'with camera', the other ones without. The dials control volume, ringlights, and so on. It's really a nice system." >}}
  {{< gallery-photo fn="2024-08-08/IMG_0570.JPG" caption="I finish the OBS setup, including mic and desktop sound suppression, and streamdeck integration, and it works like a fucking boss." >}}
  {{< gallery-photo fn="2024-08-08/selfie.png" caption="I also installed a side-facing webcam which I can blend in to my video calls and recordings at the push of a (streamdeck) button. Nifty!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

