---
title: "Week 2, Saturday: Zurich Street Parade"
date: 2024-08-10T20:21:19+02:00
Tags: []
Categories: []
draft: false
---

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/streetparade.png" alt="Credit: Pim van Pelt, Street Parade" >}}

Today is Zurich's [[Street Parade](https://www.streetparade.com/)]! I get up at 10am, and in the
morning spend a little time with Fred on his desire to pinpoint the source of some traffic that is
saturating an internet exchange port. He has an Akvorado instance running, but it doesn't show
sourece and destination AS numbers. I poke a bit at the code and documentation, and find the missing
configuration option for his Cisco IOS/XR router platform. We add it to the IP-Max _Kees_ (a network
automation tool coming originally from [[Coloclue](https://coloclue.net/)], and wheel over his
routers. IP-Max has a lot of them, so with a progressive rollout (right, Ben?) we canary on two,
then go slowly through the fleet. Rollout successful!

# Afternoon

We have a quick lunch; there's a bunch of left over veggies in the fridge, so I decide to make a
vegetable soup with _julienne_, angel-hair _vermicelli_ and beef stock. It's healthy and delicious,
and because I'm slowly _swissing_, I also add a bunch of _Aromat_ (a salty, somewhat spicy and super
rich flavoring). Marina also cordons off and then eats some veggies, the potatoes and mushrooms from
yesterday, in a pretty tasty looking omelette. We nom.

I have been promising Marina that I'd make her a _Krammiek_ which is a belgian sweet and fluffy
yellow bread with lots of raisins. Now, personally, I find raisins super disgusting, and I think
this is on account of a childhood trauma in California where every day I had to eat one of those
Sun-Maid raisin packets. After 1'000 or so packets of those, I was cured. But I'm a good sport, and
I make a dough that looks a little bit more like cake batter (with two eggs, 200g milk, 50g sugar,
500g flour, 4g salt, and a healthy glob of Dougie), and to that I add 250g of raisins, because the
pack I bought was 500g, so I figure if I mess it up today I can always give it another go. I mix,
kneed, contort, push and punch the dough (take that, you gross raisin, and that! **AND THAT**!!!1).

I put it in a cool place for a slow rise, because I have places to be, people to see, and music to
hear. At 14:00 or so, we take off to Zurich, the Street Parade starts at 13:00, and Zurich typically
is a host to roughly 800'000 guests that day. Today is super sunny and hot, so we are expecting many
more. We get off the train at Stadelhofen, make our way through the hoards of people to the
_Opernplatz_ where the main stage is. It's a pretty big one, and from a distance you really have to
work hard to find the DJ. We catch _Monolink_ finishing his set.

Street Parade is two things, mainly. First, there's a literal _parade_ of floats with DJs on them,
called _Love Mobiles_. There's a *lot* of them, 28 in total, and they make their way through the
inner city of Zurich, each playing their own sets and styles. For us though, rather than standing
still in the beating heat listening to beats, we decided to do the second thing: there are six
large stages with each their own style. The stages are arranged around the north shore of Lake
Zurich, spanning the 2.5km or so from Stadlhofen to Rote Fabrik on the other side.
The Stages: the (main) Opera, then a beautiful Center, a happening Clubbing, a small but super nice
sounding Innovation stage, and finally the Zurich Sound Stage smack in the middel of
B&uuml;rkliplatz.

The weather is so gorgeous, but people are clearly overheating, as you can see every place on the
street where there's shade cast, it's full of people, right up to the line where the shade ends. And
beyond that? That's where I have all the room I need to walk around!!

# Evening

Marina and I take off as my left foot still hurts, and she is melting. We tag-team with Quinn and
Liv who are just leaving for the evening party while we arrive home. Marina and I get very lazy
food-wise, and *drive* to the Burger King (which is, I am ashamed to admit, less than 500m or a
quarter mile away from our house). We clog our veins with A+ fastfood, and make our way back home.
We have the house to ourselves, so we decide to watch a movie. Marina somehow thinks of _Elektra_,
which we both watch but it's not great. It also has 11% on rotten tomatoes and a 4.8 on IMDB -- for
once we all agree with the critics on the Internetz.

After the movie, I finish off the Akvorado rollout with Fred. I'm still interested in running this
for IPng, but after playing around a little bit with VPP's _flowprobe_ exporter, I do see it sending
ipfix packets, and Akvorado does do something (because I see it subsequently SNMP scraping the VPP
routers' SNMP), but it does not show any flows on its UI. I think this will have to wait for a
dedicated timeslot where I can give it some more concentration.

Its Sergio's birthday today: clearly the ~920'000 people that Zurich city reported at the Street
Parade today, are all sillybrating his birth date. I decide to send him a picture of a cat dressed
up as _Optimus Meow_. But he doesn't respond, because he's lame.

I end up poking and prodding the _Kramiek_ bread for Marina, but I can't decide if I want to use a
bread pan, or make a hand formed loaf. When in doubt: do both! I chop the dough in two, and with one
I form a baguette like loaf, and I stuff the other one (lovingly!) into a small bread pan. I leave
it for a second rise (40min) followed by a bake at 180C for 35min. I put a timer so that 15min
before the end I can glaze it with eggyolk, that makes the bread look nice and browned.

I enjoy a bottle of _Campo Viejo_ (Gran Reserva, none of that Crianza BS), vintage 2016. I like!

Then, at 23:55, in the knick of time, the _Kramiek_ is done, and I get to take a picture of it.
We'll see tomorrow if Marina approves or not. One thing you should know: when she promised to make
me New York Cheese Cake, I rejected maybe 10 or so cakes before I said "this is the one!". Something
in me hopes that she does not return the favor. Raisins are gross.

Also, speaking of the knick of time, Sergio responds! We have a nice birthday GVC and we talk about
all manner of thisses and thats. He's making an elaborate plan to buy a CNC router to make
furniture, mostly because he's upset at the price of a non-IKEA dresser or cupboard. I can relate!
And at the same time, I tell him about the Sabbatical and all of my plans. We compare notes Google
to Apple. We decide to compare some more notes in September and October.

With that, it's 01:00 again -- how does this happen ?! The good news: it's Saturday, and the better
news: I am on a Sabbatical - I have hardly any requirements, and can spend as much or as little time
hanging out with Sergio and writing articles as I'd like. And I like that.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-10/IMG_0585.JPG" caption="A chewy dough which is chock-full of raisins" >}}
  {{< gallery-photo fn="2024-08-10/IMG_0589.JPG" caption="We land at Stadelhofen, ready to immerse ourselves into Zurich Street Parade 2024- there are about 920'000 people in Zurich today!" >}}
  {{< gallery-photo fn="2024-08-10/IMG_0591.JPG" caption="The main stage in Zurich's Opera square; techno is booming through the sound system here. It's quite nice to hear, see and feel music." >}}
  {{< gallery-photo fn="2024-08-10/IMG_0594.JPG" caption="Marina and I walk over the Quaibr&uuml;cke from Bellevue towards B&uuml;rkliplatz - normally I would not be able to walk here (trams and lots of cars), but today it's completely pedestrian only!" >}}
  {{< gallery-photo fn="2024-08-10/IMG_0598.JPG" caption="The Center Stage at Zurich Street Parade, with a mellow drum and bass session" >}}
  {{< gallery-photo fn="2024-08-10/IMG_0599.JPG" caption="The Clubbing Stage at Zurich Street Parade." >}}
  {{< gallery-photo fn="2024-08-10/IMG_0600.JPG" caption="The Generations Stage, small but really good audio quality here. This is literally across the road from where my buddies Eric and Barbara live." >}}
  {{< gallery-photo fn="2024-08-10/mainstage.png" caption="A closeup of the Opera Stage - it's a big contraption but I'm somehow missing a screen to see the DJ spin." >}}
  {{< gallery-photo fn="2024-08-11/streetparade.png" caption="Here's what roughly ~half of the 920'000 people look like, between Zurich Opernhaus (bottom right) and General Guisanquai (center left). Credit: @streetparadeofficial on Instagram." >}}
  {{< gallery-photo fn="2024-08-10/IMG_0602.JPG" caption="We unapologetically eat Burger King tonight." >}}
  {{< gallery-photo fn="2024-08-10/quinn.png" caption="Quinn stays a bit longer with his buddy Liv, and they take this rainbow colored smoke picture at dusk. It's really nice." >}}
  {{< gallery-photo fn="2024-08-10/salvi.png" caption="I wish Salvi a happy birthday with a cat wearing an Optimus Meow suit" >}}
  {{< gallery-photo fn="2024-08-11/IMG_0603.JPG" caption="The Kramiek (raisin-)bread loaf I made for Marina. If it tastes as good as it smells, it's going to be a good one." >}}
  {{< gallery-photo fn="2024-08-11/IMG_0604.JPG" caption="The hand-shaped (and a little bit weirdly oven-risen) Kramiek (raisin-)bread I made for Marina. Tomorrow I will know if it was good or not!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
