---
title: "Week 3, Saturday: ESP32 PDU"
date: 2024-08-17T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/junglecakes.png" alt="Credit: Jungle Cakes, Youtube" >}}

This morning Marina enthusiastically exclaimed that I have four (!) packages in the mail. I think
she may be a bit jealous! While sipping my morning coffee, I take the scissors and start hacking
away at the packaging. There are two NFC readers that will pair with the two rolls of NTAG stickers
that I have waiting to be used. The idea is to put them on the Frys-IX pins and link to some random
articles at IPng. 

I quickly find out that it's not a good idea to put the nTAG on a metal surface - when I stick it
behind the paper and press it into a normal 38mm pin (our 59mm stuff is still underway), it won't
read or even detect the tag. And indeed, even if I put the tag on my macbook case (which is metal),
it does not read. That's a bummer! But luckily for me, I made magnetic pins which have a plastic
back. So I can do a _silver medal_, by sticking the nTAG stickers simply on the back of the pin
rather than on the inside. Partial win!

For lunch, we eat scrambled eggs. Quinn fixes a batch with potatoes and cheese, which Marina
partakes in. I am not a fan of cheese in my eggs, so I scramble two eggs with ham instead. There's
still a bit of artisanal bread left over, which I put in the toaster. I like being my own baker.

The whole afternoon is actually spent mass-assembling my PDUs. I have somw _Waco_ terminal blocks, a
few hundred 3.8mm crimp plugs and sleeves, and last night I printed 4pcs of green front. I put on
the printer for another batch of green front, and I already had 10pcs of red front. One by one, I
click in the 4x220V sockets, snipping the strip at the bottom, cutting it to the right length, and
bending it upwards. This way, I have a common ground and live, and will have individual neutral
lines that will loop back through the ammeters.

I'm feeding each 4xC13 block individually, so for each PDU I'll make 4x ground line, 4x live line
and 16x neutral, and I have 8 PDUs, which means the whole afternoon is spent listening to music and
cutting identical lengths, stripping the wires, crimping on the 3.8mm connectors on one side (those
will go to the back of the sockets), and stripping the other side at the correct length to go into
the terminal blocks. I make a proto layout of the inside of the device, making sure to leave room
for an ESP32+Ethernet or USB+RS485 insert on one end. I think I did an okay job.

Before I know it, it's 17:00 and I still need to go to the _Coop_ (our local grocery store) to get
food. Tonight I'm making garlic soup and stuffed bellpepper; and it being 5 o'clock on the Saturday
before school starts, means that our grocery store is super busy. I bike there, make my way through
the crowd, and find a disappointing lack of groceries in this store. No leek, no cellery, no minced
beef. Harumpph! I loop around the butcher who still has some mixed beef/pork, which will do. For the
veggies, I make do with some alternatives.

Quinn is game to help me with dinner. He does the pairing and prep work, while I spend some time
with three bulbs of garlic. And because I normally burn the _croutons_, he is so kind as to do this
task -- and deliver beautifully golden brown and tasty croutons, while I start on the soup. Five
stars on yelp! The rest is pretty quickly done, just putting all the veggies together with the
minced meat, and, as the titular recipe states, proceeding to stuff that into bell peppers. The
whole thing goes into the oven for 15min, while the rice boils: `tadaa.wav`

After dinner, we decide to catch a movie. It's Quinn's turn (Marina recently chose _Elektra_, and
I choose _Poor Things_ the other day). He chooses a good one: Deadpool & Wolverine. I thoroughly
enjoy this zany movie. It's light hearted, just the right amount of vulgar, and I love it how Hugh
Jackman came back to do this movie after having sead he'd stop after _Logan_. Also, Dafne Keen grew!
And now we know why Jennifer Garner came back to work out, to once again play _Elektra_. And, it was
nice to see Wesley Snipes playing a super small part. Recommended watching :)

At 21:30 the movie is done and Marina and I decide to watch one more _Coppers_. I turn in after that
as I'm somehow still tired. I realized just now that I didn't even say what the other packages were.
I guess I'll talk more about them tomorrow.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-17/nfc.png" caption="NFC Tools showing my first ever written nTAG215" >}}
  {{< gallery-photo fn="2024-08-17/IMG_0698.JPG" caption="Crimping power cables; each PDU will have 28 such cables" >}}
  {{< gallery-photo fn="2024-08-17/IMG_0699.JPG" caption="I 3D printed a left 'green' and right 'red' side, to show that these are two different feeds in one PDU" >}}
  {{< gallery-photo fn="2024-08-17/IMG_0700.JPG" caption="Quinn and I are making dinner - garlic soup and stuffed bellpepper" >}}
  {{< gallery-photo fn="2024-08-17/IMG_0702.JPG" caption="The finished product: 3 stuffed bellpeppers. Oone is buried,and  some have grated cheese (I am not a fan)" >}}
  {{< gallery-photo fn="2024-08-17/IMG_0704.JPG" caption="We watch Wolverine and Deadpool tonight - it's a lighthearted flic, and I love it how they use the fourth wall" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
