---
title: "Week 4, Tuesday: Celestica and 59mm Pins"
date: 2024-08-20T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/dreamscape.png" alt="Credit: Dreamscape, Youtube" >}}

A few weeks ago, somebody on Telegram pointed me at a Serve The Home forum post where a guy from
Germany was organizing a group-buy of 100Gig Celestica DX010 switches. I had heard of this switch
before, but it never made it to the top of my nerd list. However, the deal was pretty sweet, and the
switch ie not terrible, judging by the [[STH
Review](https://www.servethehome.com/inside-a-celestica-seastone-dx010-32x-100gbe-switch/)]. So on
Telegram, a few of us decided that we'd like to participate.

This morning just before lunch, a friendly UPS driver rocked up to my frontdoor and delivered six
switches; th`ese are 32x100G switches that are ONIE capable, and run SONiC, although I've heard that
Cumulus and perhaps others may run on it too. I schlepped the boxes downstairs while Mairna was out
for lunch with her buddy Jen. 

After making some bastardized ramen with leftover _Yolein_ tomato soup, which was delicious by the
way, I started with the main task of the afternoon: checking to see if the replacement 59mm stamp
from BadgeMatic works. You see, we tried and tried, but could not get the stamp Marina bought to
work - we had a call with Anja of BadgeMatic, who is awesome and super friendly, she sent us a
replacement part. Good news, it worked! 

I want to get those switches out of the way, so I take them downstairs and rack them. Three of them
are actually for my buddy Sandro, who on Telegram approves of me taking them out of their box for a
photo shoot. I open one up, and take plenty of pics, and then hang up the switches in IPng's lab:
these are six switches, each with 32x100G ports. I take pause for a second, as I have just racked an
additional 19.2Tbps of switch port capacity in my lab. That's awe inspiring!

Once Marina got home we took a closer look at the stamp, which she approves also, so I am officially
off to the races. However, there was an issue with the (new) Cameo 5, which was placing its cuts
_off_ by a fair amount, on the X axis (the short side of the A4 paper). I scoured the Internetz a
little bit, and eventually bumped into a post from somebody on Reddit who said that they only had it
in the afternoon, not in the morning, and mostly only on sunny days. I thought they were cray-cray
at first, but then some engineer explained that it could be that there are shadows being cast by the
Sun, which may put off the sensor that reads the fiducials, called _Registration Marks_ in
Silhouette. I do a test-cut and I literally see a shadow being cast onto the paper; so I managed to
solve the issue by making the fiducials 1.0mm wide and then closing the Cameo's lid while it scans
for them. Works a treat, neat!

At this point I'm reasonably committed, and ask Marina if she wants to play along. She is having a
day of it, reminding me of my terrible luck yesterday. She printed a postage stamp for Robbie's
package, which cost CHF 37,- but it printed a tracking number with all 0's and a big watermark
**TEST** on the webstamp. The postoffice rejected it, and she has been mucking about going from
person to person to try to rectify. She is emitting some fume from the ears, and I can't help, so I
just let her be.

Meanwhile, my work is going swimmingly: I end up doing half of the stamps for Frys-IX, and printing
and cutting the other half. Of all 15x6pcs, exactly zero of them fail. Great success!!1 and I get to
play with the electro static mat for the cutter, which is an absolute blessing. At some point,
Marina signals success on the phone with the post office, and they will refund her the first
postage. "I require a drink", and I more than happily oblige.

After dinner, Quinn says there's a few more extra _buildings_ in the [[Cookie
Clicker](https://www.cookieclicker.com/)], which is a thing. It became clear to me that this game
was written by some tech-nerd-folks who ate mushrooms, got high, and never came down from that high.
All you do is click cookies. If you click cookies long enough, you can get rewards.  Quinn has been
playing it for so long, that every time he clicks the cookie, 1.7 Trillion (yes, _Trillion!_) new
cookies are generated. He has so many powerups -- and shows me his latest one, called the
_Javascript console_; each one of which generates 16T cookies per second. The by-line for this
_building_ is "Creates cookies from the very code this game was written in.". As I said, the authors
of the game are perpetually high.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-20/IMG_0729.JPG" caption="UPS came! Six Celestica Seastone (DX010) switches were delivered; they are 32x100G each. That's going to be a fun afternoon exploring them." >}}
  {{< gallery-photo fn="2024-08-20/IMG_0730.JPG" caption="There was another package - Anja sent a replacement stamp head for our 59mm pins, and it works. Yahoo!!" >}}
  {{< gallery-photo fn="2024-08-20/IMG_0746.JPG" caption="I racked the Celestica switches, three of them will be for IPng, and the other three will go on to Sandro later this month." >}}
  {{< gallery-photo fn="2024-08-20/IMG_0751.JPG" caption="In the mean time, I start stamping out pins for Frys-IX. They look really slick, in the colors of Frysl&aring;n" >}}
  {{< gallery-photo fn="2024-08-20/IMG_0752.JPG" caption="A picture of the printing station, these pins are a bit bigger, so they fit only six to a page." >}}
  {{< gallery-photo fn="2024-08-20/IMG_0753.JPG" caption="A picture of the cutting station. After I figured out why the cuts were offset, the Cameo did a perfect job cutting all 90 pins, yaay!" >}}
  {{< gallery-photo fn="2024-08-20/IMG_0755.JPG" caption="Marina signals success with the post office, and requires a celebratory drink. Of course, I oblige." >}}
  {{< gallery-photo fn="2024-08-20/IMG_0756.JPG" caption="We click a few trillion cookies for Quinn." >}}
  {{< gallery-photo fn="2024-08-20/IMG_0757.JPG" caption="I've made a few B&uuml;rli hand rolls, which are half-baked and ready for refridgeration" >}}
  {{< gallery-photo fn="2024-08-20/IMG_0758.JPG" caption="We watch a somewhat bizarre satire short-film about Donald J. Trump, played by Jonny Depp, with lots of famous actors and comedians pitching in.  From 2016, no less!" >}}
  {{< gallery-photo fn="2024-08-20/cookies.png" caption="Cookie Clicker, the web-version. I am a novice with almost 80 cookies. Quinn has a few quadrillion." >}}
  {{< gallery-photo fn="2024-08-20/javascript.png" caption="Quinn shows the Javascript Console builder add-on in Cookie Clicker. This baby makes 16T cookies per second, not too shabby!!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
