---
title: "Week 4, Saturday: 900 Jahre Dietlikon"
date: 2024-08-24T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/method-drumbass-mixes.png" alt="Credit: Method Drum/Bass Mixes, Youtube" >}}

In 1124 the town of _Dietlinchoven_ appears near to where I now live.  Hard work awaited the
pioneers. Field names such as Rüti, Rütenen, Brand, Blüttler and Stockwiesen give an idea of how
space was wrested from the forest for meadows and fields. Some viticulture was also practiced early
on and the rather bitter wine was used together with grain for tithes. Among others, the
Allerheiligen monastery in Schaffhausen was wealthy in Dietlikon, and the church tax went to the
Wettingen monastery. Local historiography also mentions Count Adalbert von M&ouml;rsburg (around 1100),
the Counts of Kyburg and, in connection with the castle and bailiwick of D&uuml;belstein, the Zurich
mayor Hans Waldmann.

This weekend, the modern city of _Dietlikon_ celebrates its ninth (!) centennial. It's amazing how much
culture can be tucked away in such a small part of Switzerland which I call home. The weather ranges
from pleasant (for JP and I) to scorching (for Quinn and Marina). It's about 33C outside, not a
cloud in the sky, and lots of sunshine. Yesterday I suggested to go see the _piglet race_, yes this
is a thing, which starts at noon. We walk over from our place in Br&uuml;ttisellen, which is about
3.5km or 2mi away, and stop to take a look at the old clock at Dietlikon's reformed Church, a quaint
little place of worship.

We arrive a few minutes before noon, to see the tail end, literally, of the race. Piglet #9 has won
today, and in an absolutely bizarre turn of non-swissness, they started 20 minutes early and
finished before their announced start time of 12:00. Dafuq! But the piggies are happy, albeit a bit
overheated from their sprint. While they rummage around in the mud, we rummage around in the local
eatery and get some hamburgers and sausages, just like they did in the middle ages!

After the lunch, we take a look at the fairgrounds, lots of old-skool shops, forges, jewelry, and
folks in their _Tracht_ clothing. There's a brass band playing in a tent and I kind of dig it -
these are old dudes and they've clearly been playing a while. It's like 40C in this tent, but it
doesn't stop them.

Marina demands icecream, and is quickly pouting because there seems to be only softcream, and she
wants 'real' icecream.  After walking around a bit more, including a required selfie _for
Instagram_, or in my case, _Pixelfed_, we find a creamery with belgian waffles -- we do not know the
origin or type of these waffles, and as belgians, JP and Marina are much offended -- but they also
have icecream so Marina indulges and gets a few scoops of watermelon flavor.

We walk back home and I do a little bit of prepwork in Geneva. Tomorrow, Fred will rewire the
cabinet so that I can land my leased lines in Zurich on the Aristas. At the same time, we'll move my
termination points from the (very expensive) 10Gig ASR9k router ports to (much cheaper) 10Gig Nexus
switchports. To not lose connection, I make use of the awesome redundancy and connect a third
ethernet pipe from my quarter rack's switch called `msw0.chplo0.net.ipng.ch` via MPLS to the new
Arista in Interxion. When that link up, my IPng Site Local and VPP will be able to briefly lose
their redundancy tomorrow while Fred makes the change for me. This goes down without a hitch, and
after my changes to AS8298, the VPP router and iBGP route-reflector that I run in Geneva are still
up and running, with no loss of service. Whoot!

I managed to convince Marina that it was cooler outside at 16:30, and I lured her under the tree
with a Gin&Tonic. While we were outside, our neighbor Thomas called out "hey do you want some
truffles?" - Maggie, their doggo, went for a walk in the woods this afternoon and snuffled up some
300+ grams of the black truffle stuff, and he came outside with a handful, maybe 70g or so of it.
Halleluja, this day is now perfect! This will turn into a celery soup + black truffle, and a plain
pasta with oil, cheese, and black truffle. Omm nomm!

After dinner, the weather finally cools down - to the point that it starts raining. We snuggle up
inside to catch a movie. Quinn chooses _Annihilation_ with Natalie Portman. It's a weird flic,
enjoyable for it's psychological drama, but a super trippy ending. I won't spoil it, but I settle
down with a big bowl of salted popcorn and enjoy the movie.

Then I turn in for the night, and I find myself in bed at 22:30, doomscrolling a bit on Twitter, and
after a few minutes get bored and super tired. Zzz.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-24/IMG_0800.JPG" caption="The church in Dietlikon has a mechanical clock from the 1600s - I note in passing that this clock is older than most countries!" >}}
  {{< gallery-photo fn="2024-08-24/IMG_0802.JPG" caption="The piglet race started early, so I got to catch only the tail end of it (see what I did there?)" >}}
  {{< gallery-photo fn="2024-08-24/IMG_0803.JPG" caption="The piggies are overheated and need to cool down after such an invigorating race!" >}}
  {{< gallery-photo fn="2024-08-24/IMG_0804.JPG" caption="There's a brass band playing. They sound kind of nice, even though the insdie of this tent is easily 40C. If I would play any brass instrument, it would be the tuba for sure." >}}
  {{< gallery-photo fn="2024-08-24/IMG_0808.JPG" caption="Marina, JP and I take a selfie in the sunshine. What a great day to be out and about! " >}}
  {{< gallery-photo fn="2024-08-24/IMG_0810.JPG" caption="Juxtaposition: 900 year old festival ground paired with a CHF 100Mio jet airplane flying overhead." >}}
  {{< gallery-photo fn="2024-08-24/IMG_0813.JPG" caption="Marina is happy - she gets artisanal icecream (melon flavored)" >}}
  {{< gallery-photo fn="2024-08-24/IMG_0815.JPG" caption="The protestant church in Dietlikon from 1698. It's a nice little place of worship." >}}
  {{< gallery-photo fn="2024-08-24/IMG_0816.JPG" caption="Back home, our neighbors' dog, Maggie, has a gift; they went for a walk and found 300g + of black truffle. These will turn into a risotto and celery soup!" >}}
  {{< gallery-photo fn="2024-08-24/IMG_0819.JPG" caption="In the evening, we watched Annihilation and I made popcorn." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
