---
title: "Week 4, Sunday: Day of Rest?"
date: 2024-08-25T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/deepbest.png" alt="Credit: Deep Best, Youtube" >}}

In the morning I decided to make good on my promise-to-self that I'd clean up the basement every now
and again. I vacuumed the floor and mopped it with soapy water. The previous two times I've done
this, the water that came out of the bucket was as dark as a black hole; but this time it was merely
a darkish tint of grey. Yaay, progress!

In the morning I had a chat with my buddy Antonis who is preparing some equipment to deploy in
Amsterdam. He's on a power budget and has found an EPYC 4464P aka _Raphael_ that runs ~20W idle despite
having 12 cores, 64MB L3 cache and DDR5 memory with NVME controllers. It looks like a really great
machine! He's also looking for an equally power-efficient switch, and I have a few older Mikrotik
CRS317s laying in storage. I measure their consumption and it's about 14.2 Watts - so he will be
taking one of these off my hands to deploy in NIKHEF.

I myself also do some shopping. I've ordered a batch of 84 CWDM/Bidi 20km SFP+ modules with Starry
Optics (the same club I get those sweet, sweet, [[Centec
switches](https://ipng.ch/s/articles/2022/12/09/review-s5648x-2q4z-switch-part-2-mpls/)] from). I
also through in 8pcs of 40G-to-4x10G breakout DACs, as my switches typically have unused 40G ports
which I'd then rather repurpose to 10G ports for local machines. Those optics are ordered, and
Raphael gets on the assembly and shipping for me. Nice work, Raphael!

In the afternoon, I have a task! Yesterday I created a third link into IPng's switch+router in
_Plan-les-Ouates_ Stack GEN01 datacenter. I did this so that I could safely tinker with the other
two links (one to Paris, and another to Zurich). Fred meets me online - he's physically at the
datacenter, and will move my connections from the IP-Max ASR9k router ports, to more economical
switchports. And I will take the opportunity to reconfigure these leased lines to terminate in
Zurich on the new Aristas. Fred makes quick work of it (thanks again, buddy!) and I end up
completing the task without having to use an emergency OOB connection: the third link from Geneva to
Zurich takes all the traffic, and BGP sessions don't even notice, as traffic is rerouted. About 20
minutes later, both the link Geneva-Paris and Geneva-Zurich are back online, and I have full
redundancy again. I love it when this stuff works as designed :-) This summer I hope to have a few
talks at NONOG, ITNOG(on-the-road), FRNOG, and possibly NLNOG, DENOG about this network which runs
mostly entirely on IPv6 linklocal despite carrying IPv4 traffic!

With my darling `msw0.chplo0.net.ipng.ch` redundantly connected at N+2 to the rest of the _IPng Site
Local_ network, it's time for me to get drunk, I mean, it's time for me to have one drink. Marina
somehow is not keen on Gin today, so she drinks an &Tonic, while I drink a Gin&Tonic, it's with a
light gingerbeer, and I like it. We try on some white gloves, for reasons I am now completely
blanking on, and proceed to make dinner.

I'm outside barbecueing 1000g of pork sausage, for which we've bought one of those cute clamps.
Marina is inside making _Luikse Salade_ (salad from _Liege_, Belgium), which is potatoes, string
beans, bacon, boiled egg and a mustard vinaigrette. The sausage rounds it off for some much loved
proteine, and overall the whole table falls silent while we all inhale the stuff. However, Marina
has had an accident! She poured the boiling water from the beans over her left hand, so she gets to
wear the white glove with burn cream for a little bit. Too bad, but she takes it in stride.

After dinner, I do a visual inspection of Quinn's eyeball. It is still intact, and roughly in the
place where it's meant to be, and I take some photographic evidence. Then, Marina gets to choose the
movie, and she chooses one with the Nespresso guy (elsewhere known as George Clooney), and the
_breedbekkikker_ (roughly translated from Dutch: a frog with a very wide mouth -- a loving slur for
Julia Roberts). It's called [[_Money Monster_](https://www.imdb.com/title/tt2241351/)] and it's
actually pretty good! The cast is fun - we are reminded of Breaking Bad [Giancarlo Esposito], as
well as The Wire [Dominic West], anc I'm pleasantly surprised in the title roll to see it's produced
by Jodie Foster. Nice!

After the movie I turn in for the night. Somehow, this day was full of interesting work - but I feel
somewhat relaxed and rested despite being so busy!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-25/IMG_0820.JPG" caption="I put on a Freddy Mercury impression, and I want to break free! ... and vacuum my room." >}}
  {{< gallery-photo fn="2024-08-25/IMG_0821.JPG" caption="I have this really cool Rick and Morty tea-mug, which reveals a colorful diorama when it has hot liquid in it." >}}
  {{< gallery-photo fn="2024-08-25/IMG_0822.JPG" caption="I test this Mikrotik CRS317 switch for Antonis, it's coming in at 14.2 Watts idle. Hoping he'll be able to put it at NIKHEF in October." >}}
  {{< gallery-photo fn="2024-08-25/vpp-ospf3.png" caption="I'm rolling out EoMPLS circuits for AS8298's IPng Site Local, between Geneva and Zurich, and Geneva and Paris. Shown here: reconfiguring the link chplo0 - frpar0, and pinging Paris VPP router on linklocal." >}}
  {{< gallery-photo fn="2024-08-25/IMG_0823.JPG" caption="The Gin&Tonic today is with a gingerbeer tonic and a blackberry Gin which is completely colorless." >}}
  {{< gallery-photo fn="2024-08-25/whiteglove.png" caption="Marina and I give each other the white glove treatment." >}}
  {{< gallery-photo fn="2024-08-25/IMG_0824.JPG" caption="Dinner: Luikse Salade with BBQ'd pork sausage. It tasted better than the picture gives it credit for :-)" >}}
  {{< gallery-photo fn="2024-08-25/IMG_0825.JPG" caption="Marina is cooling down her hot-watter scorched hand, with the white glove, a chickenglove and a cold compress. She'll live, don't worry." >}}
  {{< gallery-photo fn="2024-08-25/IMG_0826.JPG" caption="Quinn passes the eyeball inspection with flying colors. In the reflection you can see that he finished his plate of Luikse Salade." >}}
  {{< gallery-photo fn="2024-08-25/IMG_0828.JPG" caption="George and Julia play another movie together; it's Money Monster, and I enjoy it." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

