---
title: "Week 6, Monday: 2x100G to Frankfurt"
date: 2024-09-02T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/missmonique-02.png" alt="Credit: Miss Monique, YouTube" >}}

At 07:00, which is way too early for me, I got a text message from DHL that they have a package for
me from Prague. I'm a bit conflicted about this: on the one hand, hell-yeah the [[Prusa
Mk4S](https://www.prusa3d.com/product/original-prusa-mk4s-3d-printer-kit)] is going to be delivered,
and I've been wanting this one for a while now. On the other hand, 7am is clearly an invalid time.
But I decide to snooze a bit so that if the doorbell rings, I can jump out of bed. The doorbell
rings at 09:00, and I take delivery of (half of?) the delivery. I've also ordered a few upgrade
parts for my aging [[Prusa Mk3](https://www.prusa3d.com/category/original-prusa-i3-mk3s/)], and if
I'm not mistaken I also ordered an MMU (multi material unit). But, still happy with the package :)

Marina is gone for the morning - she has a drawing course in Oerlikon on Mondays. JP and Nicole are
busy bees upstairs picking up their belongings, because later today they will be on the move to
Austria. We have breakfast together, and chat. The other day (Sunday morning), my buddy Fred said
that the cross connect to the wavelength provider from Interxion in Glattbrugg to Frankfurt has been
delivered, and it's already up and receiving light in Frankfurt. Today I get to light IP-Max's
second 100G wavelength! I proudly put on my IP-Max socks for good luck.

Moeke and Pepe go on their merry way just after Marina gets home, at 13:30 or so. It was really nice
having them over for the last two weeks, but I'm also looking forward to having the house to
my/ourselves again for a little bit. After a quick lunch we say our goodbyes, and blow a kiss behind
the Volvo for good luck on the road.

My good luck from the socks however, pretty quickly runs low, as my bike is -- aagin -- busted. It
keeps on not being able to find the torque sensor in the pedals, which makes the whole bike jam up.
Sometimes a reboot helps, and if briefly fiends the sensor again, but today no matter how hard I
try, it does not budge. I've been waiting for almost two months for the appointment, which happens
to be _tomorrow_.  OK, plan B: take the car.

At Interxion, the _persontrap_ is busted, and I have a little back and forth with security who
eventually let me in via the goods door; otherwise, I quickly retrieve the keys and make my way to
the rack, plug in the 100G CFP optic, quadruple-clean the fiber tips on both the SC/PC side and the
LC/PC side, and plug in the patch cable. Red LED turns Green immediately: great success! I inform
the crew at IP-Max, and they bring up the link, putting it in service a few minutes later. They
happily give me feedback that the circuit is passing 18.5Gbit of traffic a few minutes after that.

Here's what I really like about this type of task: I go to a place, I do a specific thing (plug in
the optic, plug in the patch cables), and get an immediate reward for my efforts (the red LED turns
green, and traffic passes). IP-Max now hass redundant 100G paths to Frankfurt, and this one is even
a little bit faster: 5.05ms round trip versus 5.80ms round trip on the other path. That's slick!

Back home, I bring the MK4S package downstairs and start rummaging through the contents. I start the
build, and chomp away at the gummibears that Prusa always puts in their kits. I've built a few Prusa
printers before, but for the first time, something goes wrong! The Y-axis idler has a square M3 nut
that is spinning inside the part, with a screw halfway inserted. Try as I might, and I try for a
good thirty minutes, the screw does not come loose, the nut does not come out of the part, and it's
completely wedged. Now, you would think: Crap! But this is a Prusa3D unit, and these folks put all
of their plastic parts _online_ for me to download and print again. Yes, open hardware for the win!
I download the part and print it on the trusty rusty MK3. There's something poetic about a printer
printing parts for its replacement printer. I just don't tell the MK3 what this part is for, as I
don't want to hurt its feelings, .. yet.

It is 16:45 and I signal great success. In the mean time, Marina is outside in our back yard playing
with a fully evolved [[Venusaur](https://www.pokemon.com/us/pokedex/venusaur)], which I manage to
capture a super rare photograph of (see below). We celebrate with a cheap Ros&eacute; wine from our
stash. It needs ice cubes, because it's _that_ kind of wine.

Dinner is special - last week our neighbor's dog Maggie went on a walk through the forest and came
back with 300+ grams of black truffles, and they were so kind as to give us a few of them. We know
just the dish: tagliatelle with just a dash of cream, butter, salt and pepper, 30 month parmeggiano,
and the truffle shavings. I carefully slice half of the truffles for toppings, and chop off the
other half (mostly the stuff that I could no longer really slice), which will go in the sauce.  Such
a simple meal - but so tasty indeed. All three of us thoroughly enjoy it and gobble up the whole
pot, just short of 500g of pasta and ~all of the truffle. Thanks again, Maggie!

Now that we have our normal three-person household, we revert to what we normally do after dinner:
watch some Netflix. Marina has a series on her list called "V Wars", which is about some viral
infection that looks earily like a corona, except it was from before the pandemic: whoa! It turns
out it's a vampire-esque series, and we watch the pilot episode together. Afterwards, we decide this
will be a fair investment of our time, so we mark the show on the Netflix deck and will work through
it.

I am somehow bushed, not quite sure from what (it was certainly not the bikeride, because I never
did that!), and tomorrow I have the appointment at Stromvelo at _Bucheggplatz_ for a much needed
service. I am already dreading schlepping the bike on foot all the way there, as I do not have much
faith in its operation for the moment. So, I will go to bed early so that I can get up early and
make my way to the shop before it opens, giving them the whole day to try to repair it.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-02/IMG_1085.JPG" caption="The Prusa MK4S package arrived, and I'm wiggling on my seat to get it built." >}}
  {{< gallery-photo fn="2024-09-02/IMG_1089.JPG" caption="I put on IP-Max socks today, as I'll be lighting a second 100G wave to Frankfurt." >}}
  {{< gallery-photo fn="2024-09-02/IMG_1090.JPG" caption="The sad news of the Stromer display: cannot find the torque sensor, bah." >}}
  {{< gallery-photo fn="2024-09-02/IMG_1091.JPG" caption="At the datacenter, the 100G link immediately comes up, yaay! Redundant 100G link from Zurich to Frankfurt achieved for IP-Max." >}}
  {{< gallery-photo fn="2024-09-02/IMG_1092.JPG" caption="The Prusa MK4S kit in a disassembled state. All of these boxes and bags somehow fit together to make a full functioning 3D printer." >}}
  {{< gallery-photo fn="2024-09-02/IMG_1096.JPG" caption="Marina is hanging out with a Venusaur pokemon, but for the moment he's friendly." >}}
  {{< gallery-photo fn="2024-09-02/IMG_1098.JPG" caption="The broken part (Y idler) with the stuck screw, and a newly printed part (left) with two screws that cleanly go in/out of the part. Yaay for open hardware designs, you can just download these parts of the Prusa website!" >}}
  {{< gallery-photo fn="2024-09-02/IMG_1100.JPG" caption="The sliced black truffle (left) and chopped truffle (right) for our Pasta tonight." >}}
  {{< gallery-photo fn="2024-09-02/IMG_1101.JPG" caption="A snapshot of our absolutely fantabulous tagliatelli with black truffle and aged parmesan cheese." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
