---
title: "Week 7, Wednesday: North of the Border"
date: 2024-09-11T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/dbgirl.png" alt="Credit: D&B Girl, YouTube" >}}

I have voluntarily set the alarm clock at 06:00 this morning, because we are making the trek all the
way North of the Border. The idea is to pack up the last parts of our luggage, yeet them in the
trunk of the car, which already has most of the stuff and is fully charged by now. It's about 700km
drive from Br&uuml;ttisellen to Best, the Netherlands. Although we could do it with one charging
session along the way, we don't do that. Our plan typically is: one person drives for 1.5hrs and
finds the next Supercharger, we plug in the car and take a small walk or a coffee, and continue the
drive 20min later. This way, each leg is about 180km or so, nobody gets tired, and we never have to
relaly think about range anxiety.

I eat some leftover meatloaf on a bun with mustard, and drink some caffeine. Marina completes her
ritual, notably by grabbing our alien friends (Uhi and Hey) and we're off to the races at 06:45.
It's easy driving for Marina, the first leg brings us over the Swiss-German border just as the Sun
comes up, and in Germany I write my journal entry for Tuesday, as we roll to Pforzheim, Germany.

There's a completely new Version 4 supercharger station here and only one car. It's a pretty fun
spot, with a little unmanned kiosk with toilets, a living room, some vending machines and (and this
is cool!) a video console with two controllers. I race a Mariokart round as _Peach_ (thinking of
you, Dermot!) and come in first place, despite being a terrible driver. One might say, not too
different from my real life driving style.

The second leg is mine to chauffeur, and it takes us further in the direction of Frankfurt am Main
and it's mostly just cruise control on the A61 en route to Cologne, all the way to Pfalzfeld,
Germany. Somewhere in the middle there, Marina decided to pacify me, and she stuck a pink candy
pacifier in my mouth. For good measure she also took one in -- funny: nobody cried after that!
Here, we arrive at 11:55, perfect timing for a post-candy lunch with 435km of our roadtrip consumed.

We've been here before, but it's certainly not as busy as we've seen. We're the only ones in the
restaurant, even though it's noon. But, the friendly waiter guy is happy to serve marina a salad
with strips of chicken, and me my much requested hugarian gulasch soup with bread. It was pretty
decent, although I think Marina's salad was a little bit higher nutritional quality than my salty
goodness. It's nice to have a lunch while the car is charging, and when we're done, we pay up and
the car is ready for another leg!

Marina gets to drive leg #3, which would be roughly to Cologne (180km) but we miss what appears to
be the last _Rastst&auml;tte_, as there is literally nothing all the way to Venlo. Just over the
border with the Netherlands, she finds a small truckstop and I take over. From here it's about 40km
to Eindhoven, where we plug in the car just one more time - we will have 8% or so battery arriving
at Best, and I do see that there's a Supercharger there now also, but I figured we're well ahead of
schedule at this point, and if we charge there and Marina throws balls at a few Pok&eacute;mon,
it'll be 16:15 when we hit $dest for the day.

It is 16:15 when we hit $dest for the day. There is much rejoicing in seeing my parents in 3D. Phone
and Video calls are nice and all, but nothing beats the real thing. They are also quite happy to see
us - maybe because we're adorable children, or maybe because we've been really bad children and
haven't visited in the longest time? Who knows, but it was happy days!

In the afternoon we catch up, and at around 18:30 or so, our tummies are calling for the one thing
that is a requirement on arrival day: friet with frikandellen and sito sticks and kroketten and
viandellen. The Dutch and Belgians kind of take this stuff for granted, but in Switzerland we do not
have this type of fast food; which means it tastes extra good when visiting!

We exchange stories about all sorts of stuff - and along the way I decide to take a picture of the
sign we had at on our front door ever since we lived in California in the 80s: _The Van Pelts_, of
course with a _Ja-Nee-Sticker_ on the mailbox. I kind of wonder if that is still an effective
deterrant to spammers? It's starting to fail us in Switzerland :( One other fond memory for me is
one of the first servers I've had at [[IPng.ch](https://ipng.ch/)], which is still with us today!
It's perhaps wasy to state "IPng started in the garage of Pim's parents", but that's really not true at
all. But if you _did_ want to say that, you could use this picture of `hvn0.nlehv0.ipng.ch`. It
would be a lie though. But if you _did_ say it, I would not be upset.

We hang out until well after midnight; I drink a few beers, Dad slurps on Gin neat, and Mom drinks
white wine. Marina keeps to water today. At about 01:45 we say goodbye and put the alarmclock at
09:00 tomorrow, as there's plenty of stuff to do while we're here!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-11/20240911_062910.jpg" caption="My luggage which is also a temporary holding place for our alien friends: Uhi (left) and Hey (right)" >}}
  {{< gallery-photo fn="2024-09-11/IMG_1189.JPG" caption="At 06:50, the sun is starting to rise as we start our 720km (450mi) drive of the day." >}}
  {{< gallery-photo fn="2024-09-11/IMG_1190.JPG" caption="Just over the German border, I am writing my story for yesterday. It reminds me of the mobile blogging I have done quite often with WEiRD on roadtrips." >}}
  {{< gallery-photo fn="2024-09-11/IMG_1193.JPG" caption="At the first supercharger they have a kiosk with a Nintendo Switch - I play a few rounds of Mario Kart, which is fun!" >}}
  {{< gallery-photo fn="2024-09-11/IMG_1194.JPG" caption="These are the v4 Superchargers, and they're quiet, nice and fast. I'm just very happy that a few years ago, WEiRD and I had the CCS charger retrofitted in this old Mennekes car. But: free charging, hellyeahb" >}}
  {{< gallery-photo fn="2024-09-11/IMG_1195.JPG" caption="We completely stopped crying and almost fell asleep when sucking on these two pacifiers." >}}
  {{< gallery-photo fn="2024-09-11/IMG_1196.JPG" caption="Hearty filled salad and Gulasch soup for lunch in Germany. For me at least: this is roadtrip pitstop food, and mandatory on a successful commute from CH to NL." >}}
  {{< gallery-photo fn="2024-09-11/IMG_1200.JPG" caption="At Van der Valk in Eindhoven, this statue is a Pokestop." >}}
  {{< gallery-photo fn="2024-09-11/route.png" caption="The route we took from CH, through DE and to NL." >}}
  {{< gallery-photo fn="2024-09-11/IMG_1207.JPG" caption="Friet met Snacks. Posted without further comment." >}}
  {{< gallery-photo fn="2024-09-11/IMG_1209.JPG" caption="The trusty rusty server hvn0.nlehv0.ipng.ch, a Pentium G630 @ 2.70GHz, 16GB DDS3, 3x1TB (new since last Christmas) Samsung EVO SSD.  I've had this server for about 12 years, and still works a treat!" >}}
  {{< gallery-photo fn="2024-09-11/IMG_1211.JPG" caption="The sign at my parent's frontdoor." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
