---
title: "Week 8, Saturday: Trip to Christiania"
date: 2024-09-21T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/kirin.png" alt="Credit: Kirin, YouTube" >}}

A tiny little bit of padding happened today. Our flight to Oslo is at 10:50am, and boarding starts
at 10:25, which means 'we' want to be at the gate at 10:00, and because security at Zurich airport
takes only ten minutes on average, 'we' need to be at security at 09:30, and because the bus takes
only thirty minutes or so, 'we' really do need to have the bus at 08:30, and because I need about ten
minutes to get up and brush my teeth, 'we' must absolutely get up at 07:00. I am very fond of
Marina, but this obsession with 'padding just in case' means we arrive at the _gate-side_ of the
airport at **08:52am**, a good **two full hours** before our flight. Sigh.

Because our gate will only be assigned at 09:30, we start by having a spot of breakfast. We both
settle on brie sandwich and a juice. This goes down pretty well, for airport food that is. Our gate
is assigned as A54, and this is a section of the airport that I have never, in my eighteen years of
flying out of Zurich Airport, have been. We walk over there and it's quiet in this part! I buy
myself a pair of earbuds from JBL, and I start editing and compiling my video clip from
[[yesterday]({{< ref wk8day5.md >}})].

Time quickly passes in this activity, and we board our Embraer E190 flying LX1210 to Oslo. The
flight is smooth as butter, we have a little drink, and I play a game on the iPhone called
[[Thimbleweed Park](https://thimbleweedpark.com/)] some old pixelart crimi game. It reminded me
somehow of the old Police Quest, Space Quest, Hero's Quest and then ultimately if the [[Bard's
Tale](https://www.youtube.com/watch?v=F6iqsGM9sVI)], a game that I have played until the floppies no
longer could be read!

Alright, we land in Gardermoen, Norway at around 13:15 and make our way by train to Oslo, which is a
super relaxed trainride and it plops us at _Sentralstasjon_ (English: main station) at about 14:00.
It's a good time for some lunch, which we take at O'Leary's in the station itself. It's surprisingly
good. Marina orders a _quesadilla_ and I order babyback ribs, which are excellent. To wash them
down, I welcome myself to Oslo with a hobby local brew. 

We walk from the train station to our hotel Thon Astoria, and the checkin is quick. We orient
ourselves and make a plan for the rest of the afternoon. First, we visit a reptile museum which has
our favorite zero- and four-legged friends, and Marina's not-so-favorite eight-legged friends. The
Danger Noodles are fun to see, as are the Skinks, Geckos, Crocs, Turtles and Tortoises (hey Fikes, I
thought of you!!), and my favorite: the Axolotl. Marina quite enjoyed seeing a fully grown man cower
behind his wife, as his eight year old daughter handled the Danger Noodle. Some men, am I right?!

From here we made the walk to the Royal Palace, where we look at the kids-designed art in the back
yard. I was here in 2022 with WEiRD and I remember having taken a _halfie_ (a Selfie with the camera
on uptra wide angle). So, I do that again, and send both pics to WEiRD. He of course remembers this!
My favorite is still the mouth with feet, but we also both enjoy the facetted orange fox.

As we walk through town, we constantly trip over thousands and thousands of runners. There are
jogger people but also hard core runners; and one of the things we really like is there's a bunch of
pacers with a big flag on their back saying "1h50m" or "2h10m" and we think they are running the
pace for the half-marathon. But, we soon find out today is the [[Oslo
Marathon](https://oslomaraton.no/en/)], which is actually just a half-marathon and for those who are
a bit more cray-cray, two of them back-to-back.

The weather is great for running! We, however, are merely hoofing it. We cross over the runners a
few times, and make our way to the old [[Akershus
Fortress](https://kultur.forsvaret.no/festninger/akershus-festning)]. From here, we have a nice view
of the bay, of the _Pipervika_ harbour, of _Tjuvholmen_ with its nice [[Astrup
Fearnley](https://www.afmuseet.no/)] museum, and behind that the typical high roof houses of
[[Fram](https://frammuseum.no/)] museum. We think we'll take a look there tomorrow, but for now,
time is running low. We mosy back through the city to our hotel, and underway we pop by
[[Hansken](http://www.brasseriehansken.no/)] brasserie to make a reservation for later today.

Back at the hotel, I finish my journal for yesterday. Then we both take a shower and lounge in the
room a little bit. I bump into _Svampebob Firkant_, the name of which I ab-so-lutely adore. Those who
know me, know I am an enormous fan of Spongebob, and I watch a full three episodes in Norwegian,
Swedish and Danish respectively. So much fun :)

I am happy with my decision for dinner. The Brasserie is superb, and we are offered a table which
looks directly into the half-open kitchen. We see dozens of dishes come and go, and they are each
very meticulously plated by the staff. Our waitress is very cute. We order four courses: First, we
enjoy a fennel salami and a truffle salami. Then, we go to sardines (in the tin!) and scallops. For
our mains, Marina takes _Moules-Frites_ and I nom on two _Langoustines_, and we sip on a
_Pouilly-Fus&eacute;e_ white wine. For desert, we take a selection of cheeses. It's devine, and we
leave the resto at about 22:30.

On the way back to the hotel, we bump into this rather t&oslash;ll lady. She makes Marina look tiny
in comparison. Back at the hotel, we quickly fall asleep. Tomorrow, we go museum-hunting!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-09-21/IMG_1419.JPG" caption="Marina and I are in the bus at an ungodly hour. Padding, much?" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1422.JPG" caption="Zurich over the left wing of our Embraer E190 that takes us to Oslo" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1424.JPG" caption="Welcome to OSLO - I have a local brewery beer with your ribs." >}}
  {{< gallery-photo fn="2024-09-21/IMG_1428.JPG" caption="Tigeren på Jernbanetorget at Oslo main station" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1435.JPG" caption="The pair of Axolotls at the riptile museum" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1439.JPG" caption="The Karl Johan-monument at the royal palace" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1441.JPG" caption="An overview / wideangle shot of the royal palace" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1446.JPG" caption="Marina and I take a halfie under the rainbow in the kids-art section of the gardens" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1447.JPG" caption="My favorite statue: the mouth with feet" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1448.JPG" caption="Marina's favorite statue: the facetted orange fox" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1449.JPG" caption="We see the first 'hint' of what all these runners are doing in Oslo" >}}
  {{< gallery-photo fn="2024-09-21/halfmarathon.png" caption="The map of the half-marathon that all these fine sporty folks were traversing" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1455.JPG" caption="I saw an Audi with license place 'EE 1' which I thought was kind of special" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1457.JPG" caption="Overview of the harbour from the Akershus Fortress" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1460.JPG" caption="A statue of Christian IV's glove, near Brasserie Hansken" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1462.JPG" caption="I watch Sponge^W Svampebob Firkant. I love the name, and I love the series" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1468.JPG" caption="My delicious Langoustine at Hansken" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1469.JPG" caption="Marina's dish for the evening: Moule-Frietes" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1473.JPG" caption="The kitchen is squeaky clean and very well run at Brasserie Hansken" >}}
  {{< gallery-photo fn="2024-09-21/IMG_1477.JPG" caption="Marina poses with this wooden statue of a woman" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
